#####################################
#  Warehouse Flag Map v1.4 by ZDLO. #
#  146 warehouse flags in 7 zones!  #
#  Special thanks to geyser.        #
#####################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 1
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto -1100 -340 -250
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 200) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 7
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 7) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag21
		if(hor_ind1 eq 3) CreateCharsFlag22
		if(hor_ind1 eq 4) CreateCharsFlag23
		if(hor_ind1 eq 5) CreateCharsFlag24
		if(hor_ind1 eq 6) CreateCharsFlag25
		if(hor_ind1 eq 7) CreateCharsFlag31
		chr_focus 0
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg "[r.Flag Map Zones (1/7)]"
		dmsg "[y.TCTF training (1/1)]"
		dmsg "[b.All rooms]"
		dmsg "(21 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg "[r.Flag Map Zones (2/7)]"
		dmsg "[y.Warehouse (1/5)]"
		dmsg "[b.Storage facilities (1/2)]"
		dmsg "(1st part - 24)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg "[r.Flag Map Zones (3/7)]"
		dmsg "[y.Warehouse (2/5)]"
		dmsg "[b.Storage facilities (2/2)]"
		dmsg "(2nd part - 23)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg " "
		dmsg "[r.Flag Map Zones (4/7)]"
		dmsg "[y.Warehouse (3/5)]"
		dmsg "[b.Connection (1/1)]"
		dmsg "(all rooms and corridors - 30)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg " "
		dmsg "[r.Flag Map Zones (5/7)]"
		dmsg "[y.Warehouse (4/5)]"
		dmsg "[b.Charging platform (1/2)]"
		dmsg "(1st part - 8)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg " "
		dmsg "[r.Flag Map Zones (6/7)]"
		dmsg "[y.Warehouse (5/5)]"
		dmsg "[b.Charging platform (2/2)]"
		dmsg "(2nd part - 28)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg " "
		dmsg "[r.Flag Map Zones (7/7)]"
		dmsg "[y.Miscellaneous (1/1)]"
		dmsg "[b.Warehouse roofs and bad flags]"
		dmsg "(12 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 0
FlagCharSet ai_1 7006
chr_create 0
FlagCharSet ai_2 7014
chr_create 0
FlagCharSet ai_3 7034
chr_create 0
FlagCharSet ai_4 7035
chr_create 0
FlagCharSet ai_5 7038
chr_create 0
FlagCharSet ai_6 7039
chr_create 0
FlagCharSet ai_7 7040
chr_create 0
FlagCharSet ai_8 7012
chr_create 0
FlagCharSet ai_9 7023
chr_create 0
FlagCharSet ai_10 7013
chr_create 0
FlagCharSet ai_11 7024
chr_create 0
FlagCharSet ai_12 7011
chr_create 0
FlagCharSet ai_13 7041
chr_create 0
FlagCharSet ai_14 7007
chr_create 0
FlagCharSet ai_15 7008
chr_create 0
FlagCharSet ai_16 7009
chr_create 0
FlagCharSet ai_17 7010
chr_create 0
FlagCharSet ai_18 7042
chr_create 0
FlagCharSet ai_19 7043
chr_create 0
FlagCharSet ai_20 7044
chr_create 0
FlagCharSet ai_21 7045
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 0
FlagCharSet ai_1 46
chr_create 0
FlagCharSet ai_2 44
chr_create 0
FlagCharSet ai_3 82
chr_create 0
FlagCharSet ai_4 83
chr_create 0
FlagCharSet ai_5 7046
chr_create 0
FlagCharSet ai_6 7047
chr_create 0
FlagCharSet ai_7 7049
chr_create 0
FlagCharSet ai_8 7050
chr_create 0
FlagCharSet ai_9 7029
chr_create 0
FlagCharSet ai_10 7030
chr_create 0
FlagCharSet ai_11 7048
chr_create 0
FlagCharSet ai_12 0
chr_create 0
FlagCharSet ai_13 33
chr_create 0
FlagCharSet ai_14 47
chr_create 0
FlagCharSet ai_15 48
chr_create 0
FlagCharSet ai_16 7055
chr_create 0
FlagCharSet ai_17 7056
chr_create 0
FlagCharSet ai_18 13
chr_create 0
FlagCharSet ai_19 15
chr_create 0
FlagCharSet ai_20 49
chr_create 0
FlagCharSet ai_21 12
chr_create 0
FlagCharSet ai_22 84
chr_create 0
FlagCharSet ai_23 7051
chr_create 0
FlagCharSet ai_24 7052
}
#####################################
func void CreateCharsFlag22(void) {
chr_create 0
FlagCharSet ai_1 87
chr_create 0
FlagCharSet ai_2 67
chr_create 0
FlagCharSet ai_3 68
chr_create 0
FlagCharSet ai_4 7016
chr_create 0
FlagCharSet ai_5 70
chr_create 0
FlagCharSet ai_6 88
chr_create 0
FlagCharSet ai_7 7018
chr_create 0
FlagCharSet ai_8 7031
chr_create 0
FlagCharSet ai_9 7054
chr_create 0
FlagCharSet ai_10 71
chr_create 0
FlagCharSet ai_11 90
chr_create 0
FlagCharSet ai_12 69
chr_create 0
FlagCharSet ai_13 89
chr_create 0
FlagCharSet ai_14 91
chr_create 0
FlagCharSet ai_15 99
chr_create 0
FlagCharSet ai_16 7019
chr_create 0
FlagCharSet ai_17 7020
chr_create 0
FlagCharSet ai_18 72
chr_create 0
FlagCharSet ai_19 7021
chr_create 0
FlagCharSet ai_20 7032
chr_create 0
FlagCharSet ai_21 7033
chr_create 0
FlagCharSet ai_22 92
chr_create 0
FlagCharSet ai_23 98
}
#####################################
func void CreateCharsFlag23(void) {
chr_create 0
FlagCharSet ai_1 7000
chr_create 0
FlagCharSet ai_2 7005
chr_create 0
FlagCharSet ai_3 7026
chr_create 0
FlagCharSet ai_4 7028
chr_create 0
FlagCharSet ai_5 7025
chr_create 0
FlagCharSet ai_6 7027
chr_create 0
FlagCharSet ai_7 51
chr_create 0
FlagCharSet ai_8 52
chr_create 0
FlagCharSet ai_9 53
chr_create 0
FlagCharSet ai_10 54
chr_create 0
FlagCharSet ai_11 7001
chr_create 0
FlagCharSet ai_12 7053
chr_create 0
FlagCharSet ai_13 50
chr_create 0
FlagCharSet ai_14 55
chr_create 0
FlagCharSet ai_15 56
chr_create 0
FlagCharSet ai_16 57
chr_create 0
FlagCharSet ai_17 58
chr_create 0
FlagCharSet ai_18 59
chr_create 0
FlagCharSet ai_19 60
chr_create 0
FlagCharSet ai_20 61
chr_create 0
FlagCharSet ai_21 62
chr_create 0
FlagCharSet ai_22 85
chr_create 0
FlagCharSet ai_23 7002
chr_create 0
FlagCharSet ai_24 7003
chr_create 0
FlagCharSet ai_25 63
chr_create 0
FlagCharSet ai_26 64
chr_create 0
FlagCharSet ai_27 65
chr_create 0
FlagCharSet ai_28 66
chr_create 0
FlagCharSet ai_29 86
chr_create 0
FlagCharSet ai_30 7004
}
#####################################
func void CreateCharsFlag24(void) {
chr_create 0
FlagCharSet ai_1 74
chr_create 0
FlagCharSet ai_2 75
chr_create 0
FlagCharSet ai_3 73
chr_create 0
FlagCharSet ai_4 76
chr_create 0
FlagCharSet ai_5 77
chr_create 0
FlagCharSet ai_6 78
chr_create 0
FlagCharSet ai_7 79
chr_create 0
FlagCharSet ai_8 93
}
#####################################
func void CreateCharsFlag25(void) {
chr_create 0
FlagCharSet ai_1 96
chr_create 0
FlagCharSet ai_2 29
chr_create 0
FlagCharSet ai_3 31
chr_create 0
FlagCharSet ai_4 80
chr_create 0
FlagCharSet ai_5 81
chr_create 0
FlagCharSet ai_6 7022
chr_create 0
FlagCharSet ai_7 25
chr_create 0
FlagCharSet ai_8 26
chr_create 0
FlagCharSet ai_9 30
chr_create 0
FlagCharSet ai_10 32
chr_create 0
FlagCharSet ai_11 39
chr_create 0
FlagCharSet ai_12 11
chr_create 0
FlagCharSet ai_13 17
chr_create 0
FlagCharSet ai_14 104
chr_create 0
FlagCharSet ai_15 105
chr_create 0
FlagCharSet ai_16 106
chr_create 0
FlagCharSet ai_17 206
chr_create 0
FlagCharSet ai_18 700
chr_create 0
FlagCharSet ai_19 16
chr_create 0
FlagCharSet ai_20 18
chr_create 0
FlagCharSet ai_21 20
chr_create 0
FlagCharSet ai_22 21
chr_create 0
FlagCharSet ai_23 23
chr_create 0
FlagCharSet ai_24 24
chr_create 0
FlagCharSet ai_25 27
chr_create 0
FlagCharSet ai_26 28
chr_create 0
FlagCharSet ai_27 94
chr_create 0
FlagCharSet ai_28 95
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 0
FlagCharSet ai_1 1
chr_create 0
FlagCharSet ai_2 34
chr_create 0
FlagCharSet ai_3 36
chr_create 0
FlagCharSet ai_4 37
chr_create 0
FlagCharSet ai_5 38
chr_create 0
FlagCharSet ai_6 43
chr_create 0
FlagCharSet ai_7 45
chr_create 0
FlagCharSet ai_8 500
chr_create 0
FlagCharSet ai_9 35
chr_create 0
FlagCharSet ai_10 42
chr_create 0
FlagCharSet ai_11 40
chr_create 0
FlagCharSet ai_12 41
}