####################################
#  Power_II Flag Map v1.4 by ZDLO. #
#  171 power_II flags in 8 zones!  #
#  Special thanks to geyser.       #
####################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete ShinShin
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 70) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 8
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 8) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag21
		if(hor_ind1 eq 4) CreateCharsFlag31
		if(hor_ind1 eq 5) CreateCharsFlag32
		if(hor_ind1 eq 6) CreateCharsFlag33
		if(hor_ind1 eq 7) CreateCharsFlag41
		if(hor_ind1 eq 8) CreateCharsFlag42
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/8)]"
		dmsg "[y.SP0-SP1 (1/2)]"
		dmsg "[b.Hangar (1/2)]"
		dmsg "1st part"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/8)]"
		dmsg "[y.SP0-SP1 (2/2)]"
		dmsg "[b.Hangar (2/2)]"
		dmsg "2nd part"
		dmsg "(14 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/8)]"
		dmsg "[y.SP1-SP2 (1/1)]"
		dmsg "[b.All Flags]"
		dmsg "1st conduit and 1st stairwell"
		dmsg "(29 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/8)]"
		dmsg "[y.SP2-SP3 (1/3)]"
		dmsg "[b.Emchannel (1/2)]"
		dmsg "1st floor"
		dmsg "(26 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/8)]"
		dmsg "[y.SP2-SP3 (2/3)]"
		dmsg "[b.Emchannel (2/2)]"
		dmsg "2nd floor plus bad flags"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg "[r.Flag Map Zones (6/8)]"
		dmsg "[y.SP2-SP3 (3/3)]"
		dmsg "[b.Last Part]"
		dmsg "2nd stairwell and 2nd conduit"
		dmsg "(17 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg "[r.Flag Map Zones (7/8)]"
		dmsg "[y.  SP3   (1/2)]"
		dmsg "[b.Under 3rd Conduit (1/2)]"
		dmsg "1-3 floors"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg "[r.Flag Map Zones (8/8)]"
		dmsg "[y.  SP3   (2/2)]"
		dmsg "[b.Under 3rd Conduit (2/2)]"
		dmsg "4-6 floors plus lift and 3rd conduit"
		dmsg "(25 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1051
FlagCharSet ai_1 0
chr_create 1051
FlagCharSet ai_2 7001
chr_create 1051
FlagCharSet ai_3 7002
chr_create 1051
FlagCharSet ai_4 7003
chr_create 1051
FlagCharSet ai_5 7004
chr_create 1051
FlagCharSet ai_6 7008
chr_create 1051
FlagCharSet ai_7 1
chr_create 1051
FlagCharSet ai_8 2
chr_create 1051
FlagCharSet ai_9 3
chr_create 1051
FlagCharSet ai_10 4
chr_create 1051
FlagCharSet ai_11 5
chr_create 1051
FlagCharSet ai_12 6
chr_create 1051
FlagCharSet ai_13 7
chr_create 1051
FlagCharSet ai_14 109
chr_create 1051
FlagCharSet ai_15 110
chr_create 1051
FlagCharSet ai_16 7007
chr_create 1051
FlagCharSet ai_17 8
chr_create 1051
FlagCharSet ai_18 20
chr_create 1051
FlagCharSet ai_19 21
chr_create 1051
FlagCharSet ai_20 22
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1051
FlagCharSet ai_1 9
chr_create 1051
FlagCharSet ai_2 10
chr_create 1051
FlagCharSet ai_3 11
chr_create 1051
FlagCharSet ai_4 19
chr_create 1051
FlagCharSet ai_5 106
chr_create 1051
FlagCharSet ai_6 107
chr_create 1051
FlagCharSet ai_7 108
chr_create 1051
FlagCharSet ai_8 12
chr_create 1051
FlagCharSet ai_9 13
chr_create 1051
FlagCharSet ai_10 14
chr_create 1051
FlagCharSet ai_11 16
chr_create 1051
FlagCharSet ai_12 17
chr_create 1051
FlagCharSet ai_13 18
chr_create 1051
FlagCharSet ai_14 7005
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1051
FlagCharSet ai_1 15
chr_create 1051
FlagCharSet ai_2 23
chr_create 1051
FlagCharSet ai_3 115
chr_create 1051
FlagCharSet ai_4 116
chr_create 1051
FlagCharSet ai_5 117
chr_create 1051
chr_invincible ai_6 1
FlagCharSet ai_6 7000
chr_create 1051
FlagCharSet ai_7 7009
chr_create 1051
FlagCharSet ai_8 7010
chr_create 1051
FlagCharSet ai_9 7011
chr_create 1051
FlagCharSet ai_10 7012
chr_create 1051
FlagCharSet ai_11 7013
chr_create 1051
FlagCharSet ai_12 7019
chr_create 1051
FlagCharSet ai_13 7020
chr_create 1051
FlagCharSet ai_14 7021
chr_create 1051
FlagCharSet ai_15 7022
chr_create 1051
FlagCharSet ai_16 7023
chr_create 1051
FlagCharSet ai_17 7024
chr_create 1051
FlagCharSet ai_18 24
chr_create 1051
FlagCharSet ai_19 25
chr_create 1051
FlagCharSet ai_20 26
chr_create 1051
FlagCharSet ai_21 122
chr_create 1051
FlagCharSet ai_22 28
chr_create 1051
FlagCharSet ai_23 29
chr_create 1051
FlagCharSet ai_24 30
chr_create 1051
FlagCharSet ai_25 27
chr_create 1051
FlagCharSet ai_26 118
chr_create 1051
FlagCharSet ai_27 7014
chr_create 1051
FlagCharSet ai_28 7017
chr_create 1051
FlagCharSet ai_29 7018
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1051
FlagCharSet ai_1 35
chr_create 1051
FlagCharSet ai_2 45
chr_create 1051
FlagCharSet ai_3 46
chr_create 1051
FlagCharSet ai_4 47
chr_create 1051
FlagCharSet ai_5 50
chr_create 1051
FlagCharSet ai_6 51
chr_create 1051
FlagCharSet ai_7 52
chr_create 1051
FlagCharSet ai_8 53
chr_create 1051
FlagCharSet ai_9 56
chr_create 1051
FlagCharSet ai_10 57
chr_create 1051
FlagCharSet ai_11 58
chr_create 1051
FlagCharSet ai_12 59
chr_create 1051
FlagCharSet ai_13 60
chr_create 1051
FlagCharSet ai_14 61
chr_create 1051
FlagCharSet ai_15 62
chr_create 1051
FlagCharSet ai_16 63
chr_create 1051
FlagCharSet ai_17 64
chr_create 1051
FlagCharSet ai_18 65
chr_create 1051
FlagCharSet ai_19 66
chr_create 1051
FlagCharSet ai_20 67
chr_create 1051
FlagCharSet ai_21 126
chr_create 1051
FlagCharSet ai_22 7025
chr_create 1051
FlagCharSet ai_23 7026
chr_create 1051
FlagCharSet ai_24 7027
chr_create 1051
FlagCharSet ai_25 7028
chr_create 1051
FlagCharSet ai_26 7029
}
#####################################
func void CreateCharsFlag32(void) {
chr_create 1051
FlagCharSet ai_1 31
chr_create 1051
FlagCharSet ai_2 32
chr_create 1051
FlagCharSet ai_3 33
chr_create 1051
FlagCharSet ai_4 34
chr_create 1051
FlagCharSet ai_5 36
chr_create 1051
FlagCharSet ai_6 37
chr_create 1051
FlagCharSet ai_7 38
chr_create 1051
FlagCharSet ai_8 39
chr_create 1051
FlagCharSet ai_9 40
chr_create 1051
FlagCharSet ai_10 41
chr_create 1051
FlagCharSet ai_11 42
chr_create 1051
FlagCharSet ai_12 43
chr_create 1051
FlagCharSet ai_13 44
chr_create 1051
FlagCharSet ai_14 123
chr_create 1051
FlagCharSet ai_15 124
chr_create 1051
FlagCharSet ai_16 125
chr_create 1051
FlagCharSet ai_17 48
chr_create 1051
FlagCharSet ai_18 49
chr_create 1051
FlagCharSet ai_19 54
chr_create 1051
FlagCharSet ai_20 55
}
#####################################
func void CreateCharsFlag33(void) {
chr_create 1051
FlagCharSet ai_1 70
chr_create 1051
FlagCharSet ai_2 68
chr_create 1051
FlagCharSet ai_3 69
chr_create 1051
FlagCharSet ai_4 119
chr_create 1051
FlagCharSet ai_5 7015
chr_create 1051
FlagCharSet ai_6 7041
chr_create 1051
FlagCharSet ai_7 71
chr_create 1051
FlagCharSet ai_8 72
chr_create 1051
FlagCharSet ai_9 73
chr_create 1051
FlagCharSet ai_10 74
chr_create 1051
chr_invincible ai_11 1
FlagCharSet ai_11 75
chr_create 1051
FlagCharSet ai_12 76
chr_create 1051
FlagCharSet ai_13 77
chr_create 1051
FlagCharSet ai_14 120
chr_create 1051
FlagCharSet ai_15 7038
chr_create 1051
FlagCharSet ai_16 7039
chr_create 1051
FlagCharSet ai_17 7040
}
#####################################
func void CreateCharsFlag41(void) {
chr_create 1051
FlagCharSet ai_1 93
chr_create 1051
FlagCharSet ai_2 94
chr_create 1051
FlagCharSet ai_3 95
chr_create 1051
FlagCharSet ai_4 96
chr_create 1051
FlagCharSet ai_5 7030
chr_create 1051
FlagCharSet ai_6 78
chr_create 1051
FlagCharSet ai_7 79
chr_create 1051
FlagCharSet ai_8 80
chr_create 1051
FlagCharSet ai_9 81
chr_create 1051
FlagCharSet ai_10 87
chr_create 1051
FlagCharSet ai_11 88
chr_create 1051
FlagCharSet ai_12 7031
chr_create 1051
FlagCharSet ai_13 7032
chr_create 1051
FlagCharSet ai_14 82
chr_create 1051
FlagCharSet ai_15 83
chr_create 1051
FlagCharSet ai_16 84
chr_create 1051
FlagCharSet ai_17 85
chr_create 1051
FlagCharSet ai_18 86
chr_create 1051
FlagCharSet ai_19 7042
chr_create 1051
FlagCharSet ai_20 7043
}
#####################################
func void CreateCharsFlag42(void) {
chr_create 1051
FlagCharSet ai_1 89
chr_create 1051
FlagCharSet ai_2 90
chr_create 1051
FlagCharSet ai_3 91
chr_create 1051
FlagCharSet ai_4 92
chr_create 1051
FlagCharSet ai_5 7044
chr_create 1051
FlagCharSet ai_6 7046
chr_create 1051
FlagCharSet ai_7 7047
chr_create 1051
FlagCharSet ai_8 101
chr_create 1051
FlagCharSet ai_9 102
chr_create 1051
FlagCharSet ai_10 103
chr_create 1051
FlagCharSet ai_11 7033
chr_create 1051
FlagCharSet ai_12 7034
chr_create 1051
FlagCharSet ai_13 7035
chr_create 1051
FlagCharSet ai_14 7036
chr_create 1051
FlagCharSet ai_15 7045
chr_create 1051
FlagCharSet ai_16 98
chr_create 1051
FlagCharSet ai_17 99
chr_create 1051
FlagCharSet ai_18 100
chr_create 1051
FlagCharSet ai_19 111
chr_create 1051
FlagCharSet ai_20 7037
chr_create 1051
FlagCharSet ai_21 97
chr_create 1051
FlagCharSet ai_22 112
chr_create 1051
FlagCharSet ai_23 105
chr_create 1051
FlagCharSet ai_24 113
chr_create 1051
chr_invincible ai_25 1
FlagCharSet ai_25 121
}