#################################
#  Roofs Flag Map v1.4 by ZDLO. #
#  243 roof flags in 11 zones!  #
#  Special thanks to geyser.    #
#################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete IntroNinja
 chr_delete A_N1
 chr_delete A_Sr9
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 35) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 11
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 11) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag14
		if(hor_ind1 eq 5) CreateCharsFlag21
		if(hor_ind1 eq 6) CreateCharsFlag22
		if(hor_ind1 eq 7) CreateCharsFlag31
		if(hor_ind1 eq 8) CreateCharsFlag41
		if(hor_ind1 eq 9) CreateCharsFlag42
		if(hor_ind1 eq 10) CreateCharsFlag51
		if(hor_ind1 eq 11) CreateCharsFlag52
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/11)]"
		dmsg "[y.SP1-SP2 (1/4)]"
		dmsg "[b.Beginning]"
		dmsg " "
		dmsg "(19 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/11)]"
		dmsg "[y.SP1-SP2 (2/4)]"
		dmsg "[b.1st building]"
		dmsg " "
		dmsg "(16 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/11)]"
		dmsg "[y.SP1-SP2 (3/4)]"
		dmsg "[b.2nd building]"
		dmsg " "
		dmsg "(26 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/11)]"
		dmsg "[y.SP1-SP2 (4/4)]"
		dmsg "[b.3-4 buildings]"
		dmsg " "
		dmsg "(23 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/11)]"
		dmsg "[y.SP2-SP3 (1/2)]"
		dmsg "[b.Skyscrapers]"
		dmsg " "
		dmsg "(23 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg "[r.Flag Map Zones (6/11)]"
		dmsg "[y.SP2-SP3 (2/2)]"
		dmsg "[b.Around skyscrapers]"
		dmsg " "
		dmsg "(29 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg "[r.Flag Map Zones (7/11)]"
		dmsg "[y.SP3-SP4 (1/1)]"
		dmsg "[b.All places]"
		dmsg " "
		dmsg "(22 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg "[r.Flag Map Zones (8/11)]"
		dmsg "[y.SP4 - Mukado Roof (1/2)]"
		dmsg "[b.1st floor, central part]"
		dmsg " "
		dmsg "(22 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg "[r.Flag Map Zones (9/11)]"
		dmsg "[y.SP4 - Mukado Roof (2/2)]"
		dmsg "[b.1st floor around the periphery]"
		dmsg "[b.and 2nd floor completely]"
		dmsg "(25 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 10) {
		dmsg "[r.Flag Map Zones (10/11)]"
		dmsg "[y.Miscellaneous (1/2)]"
		dmsg "[b.Bad Mukado roof flags]"
		dmsg "[b.and neutral roof flag]"
		dmsg "(10 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 11) {
		dmsg "[r.Flag Map Zones (11/11)]"
		dmsg "[y.Miscellaneous (2/2)]"
		dmsg "[b.All bad flags around map]"
		dmsg " "
		dmsg "(28 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1
FlagCharSet ai_1 1
chr_create 1
FlagCharSet ai_2 3
chr_create 1
FlagCharSet ai_3 4
chr_create 1
FlagCharSet ai_4 5
chr_create 1
FlagCharSet ai_5 6
chr_create 1
FlagCharSet ai_6 12
chr_create 1
FlagCharSet ai_7 20
chr_create 1
FlagCharSet ai_8 21
chr_create 1
FlagCharSet ai_9 109
chr_create 1
FlagCharSet ai_10 110
chr_create 1
FlagCharSet ai_11 112
chr_create 1
FlagCharSet ai_12 113
chr_create 1
FlagCharSet ai_13 114
chr_create 1
FlagCharSet ai_14 115
chr_create 1
FlagCharSet ai_15 117
chr_create 1
FlagCharSet ai_16 600
chr_create 1
FlagCharSet ai_17 7003
chr_create 1
FlagCharSet ai_18 7004
chr_create 1
FlagCharSet ai_19 7005
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1
FlagCharSet ai_1 2
chr_create 1
FlagCharSet ai_2 7
chr_create 1
FlagCharSet ai_3 8
chr_create 1
FlagCharSet ai_4 9
chr_create 1
FlagCharSet ai_5 10
chr_create 1
FlagCharSet ai_6 11
chr_create 1
FlagCharSet ai_7 13
chr_create 1
FlagCharSet ai_8 14
chr_create 1
FlagCharSet ai_9 15
chr_create 1
FlagCharSet ai_10 16
chr_create 1
FlagCharSet ai_11 17
chr_create 1
FlagCharSet ai_12 18
chr_create 1
FlagCharSet ai_13 19
chr_create 1
FlagCharSet ai_14 100
chr_create 1
FlagCharSet ai_15 122
chr_create 1
FlagCharSet ai_16 7006
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 1
FlagCharSet ai_1 22
chr_create 1
FlagCharSet ai_2 23
chr_create 1
FlagCharSet ai_3 24
chr_create 1
FlagCharSet ai_4 25
chr_create 1
FlagCharSet ai_5 26
chr_create 1
FlagCharSet ai_6 27
chr_create 1
FlagCharSet ai_7 28
chr_create 1
FlagCharSet ai_8 29
chr_create 1
FlagCharSet ai_9 30
chr_create 1
FlagCharSet ai_10 31
chr_create 1
FlagCharSet ai_11 32
chr_create 1
FlagCharSet ai_12 33
chr_create 1
FlagCharSet ai_13 34
chr_create 1
FlagCharSet ai_14 35
chr_create 1
FlagCharSet ai_15 36
chr_create 1
FlagCharSet ai_16 123
chr_create 1
FlagCharSet ai_17 124
chr_create 1
FlagCharSet ai_18 127
chr_create 1
FlagCharSet ai_19 128
chr_create 1
FlagCharSet ai_20 129
chr_create 1
FlagCharSet ai_21 131
chr_create 1
FlagCharSet ai_22 7021
chr_create 1
FlagCharSet ai_23 7022
chr_create 1
FlagCharSet ai_24 7023
chr_create 1
FlagCharSet ai_25 7024
chr_create 1
FlagCharSet ai_26 7026
}
#####################################
func void CreateCharsFlag14(void) {
chr_create 1
FlagCharSet ai_1 37
chr_create 1
FlagCharSet ai_2 38
chr_create 1
FlagCharSet ai_3 39
chr_create 1
FlagCharSet ai_4 40
chr_create 1
FlagCharSet ai_5 41
chr_create 1
FlagCharSet ai_6 42
chr_create 1
FlagCharSet ai_7 56
chr_create 1
FlagCharSet ai_8 118
chr_create 1
FlagCharSet ai_9 119
chr_create 1
FlagCharSet ai_10 121
chr_create 1
FlagCharSet ai_11 132
chr_create 1
FlagCharSet ai_12 7000
chr_create 1
FlagCharSet ai_13 7007
chr_create 1
FlagCharSet ai_14 7011
chr_create 1
FlagCharSet ai_15 43
chr_create 1
FlagCharSet ai_16 57
chr_create 1
FlagCharSet ai_17 58
chr_create 1
FlagCharSet ai_18 59
chr_create 1
FlagCharSet ai_19 60
chr_create 1
FlagCharSet ai_20 133
chr_create 1
FlagCharSet ai_21 134
chr_create 1
FlagCharSet ai_22 7008
chr_create 1
FlagCharSet ai_23 7009
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1
FlagCharSet ai_1 66
chr_create 1
FlagCharSet ai_2 67
chr_create 1
FlagCharSet ai_3 68
chr_create 1
FlagCharSet ai_4 75
chr_create 1
FlagCharSet ai_5 76
chr_create 1
FlagCharSet ai_6 105
chr_create 1
FlagCharSet ai_7 106
chr_create 1
FlagCharSet ai_8 107
chr_create 1
FlagCharSet ai_9 108
chr_create 1
FlagCharSet ai_10 7018
chr_create 1
FlagCharSet ai_11 69
chr_create 1
FlagCharSet ai_12 70
chr_create 1
FlagCharSet ai_13 71
chr_create 1
FlagCharSet ai_14 72
chr_create 1
FlagCharSet ai_15 73
chr_create 1
FlagCharSet ai_16 74
chr_create 1
FlagCharSet ai_17 77
chr_create 1
FlagCharSet ai_18 78
chr_create 1
FlagCharSet ai_19 79
chr_create 1
FlagCharSet ai_20 80
chr_create 1
FlagCharSet ai_21 81
chr_create 1
FlagCharSet ai_22 86
chr_create 1
FlagCharSet ai_23 7025
}
#####################################
func void CreateCharsFlag22(void) {
chr_create 1
FlagCharSet ai_1 44
chr_create 1
FlagCharSet ai_2 47
chr_create 1
FlagCharSet ai_3 49
chr_create 1
FlagCharSet ai_4 50
chr_create 1
FlagCharSet ai_5 51
chr_create 1
FlagCharSet ai_6 52
chr_create 1
FlagCharSet ai_7 53
chr_create 1
FlagCharSet ai_8 54
chr_create 1
FlagCharSet ai_9 55
chr_create 1
FlagCharSet ai_10 7012
chr_create 1
FlagCharSet ai_11 7013
chr_create 1
FlagCharSet ai_12 7014
chr_create 1
FlagCharSet ai_13 7015
chr_create 1
FlagCharSet ai_14 61
chr_create 1
FlagCharSet ai_15 62
chr_create 1
FlagCharSet ai_16 63
chr_create 1
FlagCharSet ai_17 64
chr_create 1
FlagCharSet ai_18 65
chr_create 1
FlagCharSet ai_19 7016
chr_create 1
FlagCharSet ai_20 7017
chr_create 1
FlagCharSet ai_21 48
chr_create 1
FlagCharSet ai_22 82
chr_create 1
FlagCharSet ai_23 83
chr_create 1
FlagCharSet ai_24 84
chr_create 1
FlagCharSet ai_25 136
chr_create 1
FlagCharSet ai_26 138
chr_create 1
FlagCharSet ai_27 603
chr_create 1
FlagCharSet ai_28 604
chr_create 1
FlagCharSet ai_29 605
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1
FlagCharSet ai_1 87
chr_create 1
FlagCharSet ai_2 102
chr_create 1
FlagCharSet ai_3 103
chr_create 1
FlagCharSet ai_4 104
chr_create 1
FlagCharSet ai_5 7019
chr_create 1
FlagCharSet ai_6 85
chr_create 1
FlagCharSet ai_7 601
chr_create 1
FlagCharSet ai_8 602
chr_create 1
FlagCharSet ai_9 7020
chr_create 1
FlagCharSet ai_10 88
chr_create 1
FlagCharSet ai_11 89
chr_create 1
FlagCharSet ai_12 90
chr_create 1
FlagCharSet ai_13 91
chr_create 1
FlagCharSet ai_14 92
chr_create 1
FlagCharSet ai_15 93
chr_create 1
FlagCharSet ai_16 94
chr_create 1
FlagCharSet ai_17 95
chr_create 1
FlagCharSet ai_18 97
chr_create 1
FlagCharSet ai_19 98
chr_create 1
FlagCharSet ai_20 99
chr_create 1
FlagCharSet ai_21 101
chr_create 1
FlagCharSet ai_22 7001
}
#####################################
func void CreateCharsFlag41(void) {
chr_create 1
FlagCharSet ai_1 96
chr_create 1
FlagCharSet ai_2 9003
chr_create 1
FlagCharSet ai_3 9004
chr_create 1
FlagCharSet ai_4 9009
chr_create 1
FlagCharSet ai_5 9010
chr_create 1
FlagCharSet ai_6 9505
chr_create 1
FlagCharSet ai_7 9506
chr_create 1
FlagCharSet ai_8 9508
chr_create 1
FlagCharSet ai_9 9510
chr_create 1
FlagCharSet ai_10 9511
chr_create 1
FlagCharSet ai_11 9512
chr_create 1
FlagCharSet ai_12 9514
chr_create 1
FlagCharSet ai_13 9516
chr_create 1
FlagCharSet ai_14 9523
chr_create 1
FlagCharSet ai_15 9524
chr_create 1
FlagCharSet ai_16 9525
chr_create 1
FlagCharSet ai_17 9527
chr_create 1
FlagCharSet ai_18 9528
chr_create 1
FlagCharSet ai_19 9531
chr_create 1
FlagCharSet ai_20 9532
chr_create 1
FlagCharSet ai_21 9534
chr_create 1
FlagCharSet ai_22 9535
}
#####################################
func void CreateCharsFlag42(void) {
chr_create 1
FlagCharSet ai_1 2000
chr_create 1
FlagCharSet ai_2 9504
chr_create 1
FlagCharSet ai_3 9513
chr_create 1
FlagCharSet ai_4 9518
chr_create 1
FlagCharSet ai_5 9519
chr_create 1
FlagCharSet ai_6 9521
chr_create 1
FlagCharSet ai_7 9530
chr_create 1
FlagCharSet ai_8 9533
chr_create 1
FlagCharSet ai_9 9536
chr_create 1
FlagCharSet ai_10 9537
chr_create 1
FlagCharSet ai_11 9538
chr_create 1
FlagCharSet ai_12 9500
chr_create 1
FlagCharSet ai_13 9501
chr_create 1
FlagCharSet ai_14 9502
chr_create 1
FlagCharSet ai_15 9507
chr_create 1
FlagCharSet ai_16 9509
chr_create 1
FlagCharSet ai_17 9515
chr_create 1
FlagCharSet ai_18 9517
chr_create 1
FlagCharSet ai_19 9520
chr_create 1
FlagCharSet ai_20 9522
chr_create 1
FlagCharSet ai_21 9526
chr_create 1
FlagCharSet ai_22 9529
chr_create 1
FlagCharSet ai_23 9539
chr_create 1
FlagCharSet ai_24 9540
chr_create 1
FlagCharSet ai_25 9541
}
#####################################
func void CreateCharsFlag51(void) {
chr_create 1
FlagCharSet ai_1 7002
chr_create 1
FlagCharSet ai_2 9000
chr_create 1
FlagCharSet ai_3 9001
chr_create 1
FlagCharSet ai_4 9002
chr_create 1
FlagCharSet ai_5 9005
chr_create 1
FlagCharSet ai_6 9006
chr_create 1
FlagCharSet ai_7 9007
chr_create 1
FlagCharSet ai_8 9008
chr_create 1
FlagCharSet ai_9 9011
chr_create 1
FlagCharSet ai_10 9503
}
#####################################
func void CreateCharsFlag52(void) {
chr_create 1
FlagCharSet ai_1 111
chr_create 1
FlagCharSet ai_2 116
chr_create 1
FlagCharSet ai_3 120
chr_create 1
FlagCharSet ai_4 125
chr_create 1
FlagCharSet ai_5 126
chr_create 1
FlagCharSet ai_6 130
chr_create 1
FlagCharSet ai_7 135
chr_create 1
FlagCharSet ai_8 140
chr_create 1
FlagCharSet ai_9 145
chr_create 1
FlagCharSet ai_10 146
chr_create 1
FlagCharSet ai_11 150
chr_create 1
FlagCharSet ai_12 151
chr_create 1
FlagCharSet ai_13 152
chr_create 1
FlagCharSet ai_14 153
chr_create 1
FlagCharSet ai_15 154
chr_create 1
FlagCharSet ai_16 155
chr_create 1
FlagCharSet ai_17 160
chr_create 1
FlagCharSet ai_18 165
chr_create 1
FlagCharSet ai_19 170
chr_create 1
FlagCharSet ai_20 175
chr_create 1
FlagCharSet ai_21 180
chr_create 1
FlagCharSet ai_22 181
chr_create 1
FlagCharSet ai_23 185
chr_create 1
FlagCharSet ai_24 190
chr_create 1
FlagCharSet ai_25 191
chr_create 1
FlagCharSet ai_26 192
chr_create 1
FlagCharSet ai_27 195
chr_create 1
FlagCharSet ai_28 200
}