###################################
#  TCTF_II Flag Map v1.4 by ZDLO. #
#  206 tctf_ii flags in 10 zones! #
#  Special thanks to geyser.      #
###################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_forceholster 0 1
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto 230 756 -440
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 40) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 10
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 10) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag21
		if(hor_ind1 eq 5) CreateCharsFlag22
		if(hor_ind1 eq 6) CreateCharsFlag23
		if(hor_ind1 eq 7) CreateCharsFlag31
		if(hor_ind1 eq 8) CreateCharsFlag32
		if(hor_ind1 eq 9) CreateCharsFlag41
		if(hor_ind1 eq 10) CreateCharsFlag42
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/10)]"
		dmsg "[y.Roofs SP1-SP2 (1/3)]"
		dmsg "[b.Outside]"
		dmsg " "
		dmsg "(24 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/10)]"
		dmsg "[y.Roofs SP1-SP2 (2/3)]"
		dmsg "[b.Inside plus cutscene flags]"
		dmsg "[b.and bad outside flags]"
		dmsg "(15 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/10)]"
		dmsg "[y.Roofs SP1-SP2 (3/3)]"
		dmsg "[b.Rooms]"
		dmsg "[b.plus connection]"
		dmsg "(30 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/10)]"
		dmsg "[y.Building SP2-SP3 (1/3)]"
		dmsg "[b.3rd floor]"
		dmsg " "
		dmsg "(12 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/10)]"
		dmsg "[y.Building SP2-SP3 (2/3)]"
		dmsg "[b.2nd floor]"
		dmsg " "
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg "[r.Flag Map Zones (6/10)]"
		dmsg "[y.Building SP2-SP3 (3/3)]"
		dmsg "[b.1st floor]"
		dmsg "[b.plus connection]"
		dmsg "(21 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg "[r.Flag Map Zones (7/10)]"
		dmsg "[y.Building SP3-SP4 (1/2)]"
		dmsg "[b.2-4 floors]"
		dmsg " "
		dmsg "(30 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg "[r.Flag Map Zones (8/10)]"
		dmsg "[y.Building SP3-SP4 (2/2)]"
		dmsg "[b.1st floor]"
		dmsg "[b.plus connection]"
		dmsg "(7 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg "[r.Flag Map Zones (9/10)]"
		dmsg "[y.Building SP4-SP5 (1/2)]"
		dmsg "[b.3-4 floors]"
		dmsg " "
		dmsg "(21 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 10) {
		dmsg "[r.Flag Map Zones (10/10)]"
		dmsg "[y.Building SP4-SP5 (2/2)]"
		dmsg "[b.1-2 floors]"
		dmsg "[b.plus Omega Bunker]"
		dmsg "(26 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1202
FlagCharSet ai_1 3
chr_create 1202
FlagCharSet ai_2 4
chr_create 1202
FlagCharSet ai_3 5
chr_create 1202
FlagCharSet ai_4 6
chr_create 1202
FlagCharSet ai_5 7
chr_create 1202
FlagCharSet ai_6 8
chr_create 1202
FlagCharSet ai_7 9
chr_create 1202
FlagCharSet ai_8 10
chr_create 1202
FlagCharSet ai_9 11
chr_create 1202
FlagCharSet ai_10 12
chr_create 1202
FlagCharSet ai_11 16
chr_create 1202
FlagCharSet ai_12 17
chr_create 1202
FlagCharSet ai_13 18
chr_create 1202
FlagCharSet ai_14 20
chr_create 1202
FlagCharSet ai_15 21
chr_create 1202
FlagCharSet ai_16 45
chr_create 1202
FlagCharSet ai_17 46
chr_create 1202
FlagCharSet ai_18 47
chr_create 1202
FlagCharSet ai_19 48
chr_create 1202
FlagCharSet ai_20 49
chr_create 1202
FlagCharSet ai_21 50
chr_create 1202
FlagCharSet ai_22 51
chr_create 1202
FlagCharSet ai_23 60
chr_create 1202
FlagCharSet ai_24 61
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1202
FlagCharSet ai_1 22
chr_create 1202
FlagCharSet ai_2 26
chr_create 1202
FlagCharSet ai_3 27
chr_create 1202
FlagCharSet ai_4 28
chr_create 1202
FlagCharSet ai_5 37
chr_create 1202
FlagCharSet ai_6 58
chr_create 1202
FlagCharSet ai_7 59
chr_create 1202
FlagCharSet ai_8 407
chr_create 1202
FlagCharSet ai_9 52
chr_create 1202
FlagCharSet ai_10 53
chr_create 1202
FlagCharSet ai_11 54
chr_create 1202
FlagCharSet ai_12 55
chr_create 1202
FlagCharSet ai_13 13
chr_create 1202
FlagCharSet ai_14 14
chr_create 1202
FlagCharSet ai_15 15
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 1202
FlagCharSet ai_1 0
chr_create 1202
FlagCharSet ai_2 19
chr_create 1202
FlagCharSet ai_3 23
chr_create 1202
FlagCharSet ai_4 29
chr_create 1202
FlagCharSet ai_5 30
chr_create 1202
FlagCharSet ai_6 31
chr_create 1202
FlagCharSet ai_7 32
chr_create 1202
FlagCharSet ai_8 33
chr_create 1202
FlagCharSet ai_9 34
chr_create 1202
FlagCharSet ai_10 35
chr_create 1202
FlagCharSet ai_11 36
chr_create 1202
FlagCharSet ai_12 38
chr_create 1202
FlagCharSet ai_13 39
chr_create 1202
FlagCharSet ai_14 40
chr_create 1202
FlagCharSet ai_15 41
chr_create 1202
FlagCharSet ai_16 42
chr_create 1202
FlagCharSet ai_17 43
chr_create 1202
FlagCharSet ai_18 44
chr_create 1202
FlagCharSet ai_19 56
chr_create 1202
FlagCharSet ai_20 57
chr_create 1202
FlagCharSet ai_21 62
chr_create 1202
FlagCharSet ai_22 63
chr_create 1202
FlagCharSet ai_23 64
chr_create 1202
FlagCharSet ai_24 67
chr_create 1202
FlagCharSet ai_25 69
chr_create 1202
FlagCharSet ai_26 70
chr_create 1202
FlagCharSet ai_27 71
chr_create 1202
FlagCharSet ai_28 74
chr_create 1202
FlagCharSet ai_29 590
chr_create 1202
FlagCharSet ai_30 591
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1202
FlagCharSet ai_1 65
chr_create 1202
FlagCharSet ai_2 66
chr_create 1202
FlagCharSet ai_3 68
chr_create 1202
FlagCharSet ai_4 72
chr_create 1202
FlagCharSet ai_5 75
chr_create 1202
FlagCharSet ai_6 76
chr_create 1202
FlagCharSet ai_7 408
chr_create 1202
FlagCharSet ai_8 555
chr_create 1202
FlagCharSet ai_9 578
chr_create 1202
FlagCharSet ai_10 580
chr_create 1202
FlagCharSet ai_11 581
chr_create 1202
FlagCharSet ai_12 582
}
#####################################
func void CreateCharsFlag22(void) {
chr_create 1202
FlagCharSet ai_1 77
chr_create 1202
FlagCharSet ai_2 100
chr_create 1202
FlagCharSet ai_3 101
chr_create 1202
FlagCharSet ai_4 409
chr_create 1202
FlagCharSet ai_5 410
chr_create 1202
FlagCharSet ai_6 411
chr_create 1202
FlagCharSet ai_7 556
chr_create 1202
FlagCharSet ai_8 575
chr_create 1202
FlagCharSet ai_9 576
chr_create 1202
FlagCharSet ai_10 577
chr_create 1202
FlagCharSet ai_11 579
chr_create 1202
FlagCharSet ai_12 583
chr_create 1202
FlagCharSet ai_13 584
chr_create 1202
FlagCharSet ai_14 585
chr_create 1202
FlagCharSet ai_15 611
chr_create 1202
FlagCharSet ai_16 612
chr_create 1202
FlagCharSet ai_17 778
chr_create 1202
FlagCharSet ai_18 779
chr_create 1202
FlagCharSet ai_19 780
chr_create 1202
FlagCharSet ai_20 781
}
#####################################
func void CreateCharsFlag23(void) {
chr_create 1202
FlagCharSet ai_1 557
chr_create 1202
FlagCharSet ai_2 558
chr_create 1202
FlagCharSet ai_3 559
chr_create 1202
FlagCharSet ai_4 560
chr_create 1202
FlagCharSet ai_5 561
chr_create 1202
FlagCharSet ai_6 562
chr_create 1202
FlagCharSet ai_7 563
chr_create 1202
FlagCharSet ai_8 564
chr_create 1202
FlagCharSet ai_9 565
chr_create 1202
FlagCharSet ai_10 566
chr_create 1202
FlagCharSet ai_11 567
chr_create 1202
FlagCharSet ai_12 568
chr_create 1202
FlagCharSet ai_13 569
chr_create 1202
FlagCharSet ai_14 570
chr_create 1202
FlagCharSet ai_15 571
chr_create 1202
FlagCharSet ai_16 572
chr_create 1202
FlagCharSet ai_17 573
chr_create 1202
FlagCharSet ai_18 574
chr_create 1202
FlagCharSet ai_19 588
chr_create 1202
FlagCharSet ai_20 593
chr_create 1202
FlagCharSet ai_21 613
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1202
FlagCharSet ai_1 888
chr_create 1202
FlagCharSet ai_2 810
chr_create 1202
FlagCharSet ai_3 811
chr_create 1202
FlagCharSet ai_4 595
chr_create 1202
FlagCharSet ai_5 805
chr_create 1202
FlagCharSet ai_6 806
chr_create 1202
FlagCharSet ai_7 807
chr_create 1202
FlagCharSet ai_8 594
chr_create 1202
FlagCharSet ai_9 800
chr_create 1202
FlagCharSet ai_10 801
chr_create 1202
FlagCharSet ai_11 795
chr_create 1202
FlagCharSet ai_12 796
chr_create 1202
FlagCharSet ai_13 797
chr_create 1202
FlagCharSet ai_14 798
chr_create 1202
FlagCharSet ai_15 799
chr_create 1202
FlagCharSet ai_16 704
chr_create 1202
FlagCharSet ai_17 705
chr_create 1202
FlagCharSet ai_18 706
chr_create 1202
FlagCharSet ai_19 707
chr_create 1202
FlagCharSet ai_20 790
chr_create 1202
FlagCharSet ai_21 791
chr_create 1202
FlagCharSet ai_22 2
chr_create 1202
FlagCharSet ai_23 586
chr_create 1202
FlagCharSet ai_24 587
chr_create 1202
FlagCharSet ai_25 600
chr_create 1202
FlagCharSet ai_26 700
chr_create 1202
FlagCharSet ai_27 701
chr_create 1202
FlagCharSet ai_28 702
chr_create 1202
FlagCharSet ai_29 703
chr_create 1202
FlagCharSet ai_30 782
}
#####################################
func void CreateCharsFlag32(void) {
chr_create 1202
FlagCharSet ai_1 403
chr_create 1202
FlagCharSet ai_2 891
chr_create 1202
FlagCharSet ai_3 892
chr_create 1202
FlagCharSet ai_4 893
chr_create 1202
FlagCharSet ai_5 894
chr_create 1202
FlagCharSet ai_6 889
chr_create 1202
FlagCharSet ai_7 890
}
#####################################
func void CreateCharsFlag41(void) {
chr_create 1202
FlagCharSet ai_1 598
chr_create 1202
FlagCharSet ai_2 601
chr_create 1202
FlagCharSet ai_3 602
chr_create 1202
FlagCharSet ai_4 603
chr_create 1202
FlagCharSet ai_5 905
chr_create 1202
FlagCharSet ai_6 1010
chr_create 1202
FlagCharSet ai_7 1015
chr_create 1202
FlagCharSet ai_8 1016
chr_create 1202
FlagCharSet ai_9 1018
chr_create 1202
FlagCharSet ai_10 1
chr_create 1202
FlagCharSet ai_11 402
chr_create 1202
FlagCharSet ai_12 404
chr_create 1202
FlagCharSet ai_13 596
chr_create 1202
FlagCharSet ai_14 610
chr_create 1202
FlagCharSet ai_15 900
chr_create 1202
FlagCharSet ai_16 902
chr_create 1202
FlagCharSet ai_17 903
chr_create 1202
FlagCharSet ai_18 904
chr_create 1202
FlagCharSet ai_19 1020
chr_create 1202
FlagCharSet ai_20 1021
chr_create 1202
FlagCharSet ai_21 1022
}
#####################################
func void CreateCharsFlag42(void) {
chr_create 1202
FlagCharSet ai_1 597
chr_create 1202
FlagCharSet ai_2 777
chr_create 1202
FlagCharSet ai_3 783
chr_create 1202
FlagCharSet ai_4 784
chr_create 1202
FlagCharSet ai_5 785
chr_create 1202
FlagCharSet ai_6 786
chr_create 1202
FlagCharSet ai_7 787
chr_create 1202
FlagCharSet ai_8 999
chr_create 1202
FlagCharSet ai_9 1017
chr_create 1202
FlagCharSet ai_10 599
chr_create 1202
FlagCharSet ai_11 1000
chr_create 1202
FlagCharSet ai_12 1001
chr_create 1202
FlagCharSet ai_13 1002
chr_create 1202
FlagCharSet ai_14 1003
chr_create 1202
FlagCharSet ai_15 1004
chr_create 1202
FlagCharSet ai_16 1005
chr_create 1202
FlagCharSet ai_17 1023
chr_create 1202
FlagCharSet ai_18 1024
chr_create 1202
FlagCharSet ai_19 401
chr_create 1202
FlagCharSet ai_20 405
chr_create 1202
FlagCharSet ai_21 406
chr_create 1202
FlagCharSet ai_22 589
chr_create 1202
FlagCharSet ai_23 604
chr_create 1202
FlagCharSet ai_24 605
chr_create 1202
FlagCharSet ai_25 606
chr_create 1202
FlagCharSet ai_26 607
}