####################################
#  Compound Flag Map v1.4 by ZDLO. #
#  289 compound flags in 12 zones! #
#  Special thanks to geyser.       #
####################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto -1116 45 1430
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 100) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 12
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 12) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag21
		if(hor_ind1 eq 5) CreateCharsFlag22
		if(hor_ind1 eq 6) CreateCharsFlag23
		if(hor_ind1 eq 7) CreateCharsFlag24
		if(hor_ind1 eq 8) CreateCharsFlag25
		if(hor_ind1 eq 9) CreateCharsFlag31
		if(hor_ind1 eq 10) CreateCharsFlag32
		if(hor_ind1 eq 11) CreateCharsFlag33
		if(hor_ind1 eq 12) CreateCharsFlag34
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg "[r.Flag Map Zones (1/12)]"
		dmsg "[y.SP1-SP2 (1/3)]"
		dmsg "[b.Heliport]"
		dmsg "(29 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg "[r.Flag Map Zones (2/12)]"
		dmsg "[y.SP1-SP2 (2/3)]"
		dmsg "[b.Towers and square near quarters]"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg "[r.Flag Map Zones (3/12)]"
		dmsg "[y.SP1-SP2 (3/3)]"
		dmsg "[b.Inside quarters]"
		dmsg "(24 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg " "
		dmsg "[r.Flag Map Zones (4/12)]"
		dmsg "[y.SP2-SP3 (1/5)]"
		dmsg "[b.1st floor (1/2)]"
		dmsg "(central area near truck - 25)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg " "
		dmsg "[r.Flag Map Zones (5/12)]"
		dmsg "[y.SP2-SP3 (2/5)]"
		dmsg "[b.1st floor (2/2)]"
		dmsg "(along the perimeter of truck - 25)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg " "
		dmsg "[r.Flag Map Zones (6/12)]"
		dmsg "[y.SP2-SP3 (3/5)]"
		dmsg "[b.2nd floor (1/3)]"
		dmsg "(corridors - 24)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg " "
		dmsg "[r.Flag Map Zones (7/12)]"
		dmsg "[y.SP2-SP3 (4/5)]"
		dmsg "[b.2nd floor (2/3)]"
		dmsg "(left side stairs and rooms - 19)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg " "
		dmsg "[r.Flag Map Zones (8/12)]"
		dmsg "[y.SP2-SP3 (5/5)]"
		dmsg "[b.2nd floor (3/3)]"
		dmsg "(right side stairs and rooms - 24)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg " "
		dmsg "[r.Flag Map Zones (9/12)]"
		dmsg "[y.SP3-SP4 (1/4)]"
		dmsg "[b.Stairs and bridges]"
		dmsg "(23 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 10) {
		dmsg " "
		dmsg "[r.Flag Map Zones (10/12)]"
		dmsg "[y.SP3-SP4 (2/4)]"
		dmsg "[b.1-2 floors inside]"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 11) {
		dmsg " "
		dmsg "[r.Flag Map Zones (11/12)]"
		dmsg "[y.SP3-SP4 (3/4)]"
		dmsg "[b.3-4 floors inside]"
		dmsg "(plus sniper places - 28)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 12) {
		dmsg " "
		dmsg "[r.Flag Map Zones (12/12)]"
		dmsg "[y.SP3-SP4 (4/4)]"
		dmsg "[b.Sturmanduger]"
		dmsg "(28 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 10
FlagCharSet ai_1 8
chr_create 10
FlagCharSet ai_2 18
chr_create 10
FlagCharSet ai_3 19
chr_create 10
FlagCharSet ai_4 20
chr_create 10
FlagCharSet ai_5 21
chr_create 10
FlagCharSet ai_6 38
chr_create 10
FlagCharSet ai_7 46
chr_create 10
FlagCharSet ai_8 49
chr_create 10
FlagCharSet ai_9 50
chr_create 10
FlagCharSet ai_10 51
chr_create 10
FlagCharSet ai_11 527
chr_create 10
FlagCharSet ai_12 22
chr_create 10
FlagCharSet ai_13 23
chr_create 10
FlagCharSet ai_14 24
chr_create 10
FlagCharSet ai_15 25
chr_create 10
FlagCharSet ai_16 26
chr_create 10
FlagCharSet ai_17 27
chr_create 10
FlagCharSet ai_18 28
chr_create 10
FlagCharSet ai_19 32
chr_create 10
FlagCharSet ai_20 33
chr_create 10
FlagCharSet ai_21 34
chr_create 10
FlagCharSet ai_22 35
chr_create 10
FlagCharSet ai_23 36
chr_create 10
FlagCharSet ai_24 37
chr_create 10
FlagCharSet ai_25 48
chr_create 10
FlagCharSet ai_26 524
chr_create 10
FlagCharSet ai_27 525
chr_create 10
FlagCharSet ai_28 526
chr_create 10
FlagCharSet ai_29 39
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 10
FlagCharSet ai_1 9
chr_create 10
FlagCharSet ai_2 10
chr_create 10
FlagCharSet ai_3 11
chr_create 10
FlagCharSet ai_4 12
chr_create 10
FlagCharSet ai_5 13
chr_create 10
FlagCharSet ai_6 14
chr_create 10
FlagCharSet ai_7 15
chr_create 10
FlagCharSet ai_8 16
chr_create 10
FlagCharSet ai_9 17
chr_create 10
FlagCharSet ai_10 542
chr_create 10
FlagCharSet ai_11 543
chr_create 10
FlagCharSet ai_12 40
chr_create 10
FlagCharSet ai_13 44
chr_create 10
FlagCharSet ai_14 45
chr_create 10
FlagCharSet ai_15 56
chr_create 10
FlagCharSet ai_16 61
chr_create 10
FlagCharSet ai_17 62
chr_create 10
FlagCharSet ai_18 63
chr_create 10
FlagCharSet ai_19 64
chr_create 10
FlagCharSet ai_20 510
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 10
FlagCharSet ai_1 2
chr_create 10
FlagCharSet ai_2 3
chr_create 10
FlagCharSet ai_3 52
chr_create 10
FlagCharSet ai_4 57
chr_create 10
FlagCharSet ai_5 58
chr_create 10
FlagCharSet ai_6 59
chr_create 10
FlagCharSet ai_7 60
chr_create 10
FlagCharSet ai_8 76
chr_create 10
FlagCharSet ai_9 77
chr_create 10
FlagCharSet ai_10 4
chr_create 10
FlagCharSet ai_11 53
chr_create 10
FlagCharSet ai_12 54
chr_create 10
FlagCharSet ai_13 55
chr_create 10
FlagCharSet ai_14 65
chr_create 10
FlagCharSet ai_15 66
chr_create 10
FlagCharSet ai_16 67
chr_create 10
FlagCharSet ai_17 68
chr_create 10
FlagCharSet ai_18 69
chr_create 10
FlagCharSet ai_19 70
chr_create 10
FlagCharSet ai_20 71
chr_create 10
FlagCharSet ai_21 72
chr_create 10
FlagCharSet ai_22 73
chr_create 10
FlagCharSet ai_23 74
chr_create 10
FlagCharSet ai_24 75
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 10
FlagCharSet ai_1 0
chr_create 10
FlagCharSet ai_2 182
chr_create 10
FlagCharSet ai_3 183
chr_create 10
FlagCharSet ai_4 184
chr_create 10
FlagCharSet ai_5 185
chr_create 10
FlagCharSet ai_6 186
chr_create 10
FlagCharSet ai_7 187
chr_create 10
FlagCharSet ai_8 188
chr_create 10
FlagCharSet ai_9 189
chr_create 10
FlagCharSet ai_10 190
chr_create 10
FlagCharSet ai_11 191
chr_create 10
FlagCharSet ai_12 192
chr_create 10
FlagCharSet ai_13 193
chr_create 10
FlagCharSet ai_14 194
chr_create 10
FlagCharSet ai_15 195
chr_create 10
FlagCharSet ai_16 238
chr_create 10
FlagCharSet ai_17 511
chr_create 10
FlagCharSet ai_18 210
chr_create 10
FlagCharSet ai_19 214
chr_create 10
FlagCharSet ai_20 215
chr_create 10
FlagCharSet ai_21 216
chr_create 10
FlagCharSet ai_22 217
chr_create 10
FlagCharSet ai_23 218
chr_create 10
FlagCharSet ai_24 227
chr_create 10
FlagCharSet ai_25 505
}
#####################################
func void CreateCharsFlag22(void) {
chr_create 10
FlagCharSet ai_1 5
chr_create 10
FlagCharSet ai_2 206
chr_create 10
FlagCharSet ai_3 207
chr_create 10
FlagCharSet ai_4 208
chr_create 10
FlagCharSet ai_5 209
chr_create 10
FlagCharSet ai_6 211
chr_create 10
FlagCharSet ai_7 212
chr_create 10
FlagCharSet ai_8 213
chr_create 10
FlagCharSet ai_9 224
chr_create 10
FlagCharSet ai_10 228
chr_create 10
FlagCharSet ai_11 229
chr_create 10
FlagCharSet ai_12 230
chr_create 10
FlagCharSet ai_13 232
chr_create 10
FlagCharSet ai_14 233
chr_create 10
FlagCharSet ai_15 234
chr_create 10
FlagCharSet ai_16 235
chr_create 10
FlagCharSet ai_17 236
chr_create 10
FlagCharSet ai_18 237
chr_create 10
FlagCharSet ai_19 239
chr_create 10
FlagCharSet ai_20 243
chr_create 10
FlagCharSet ai_21 528
chr_create 10
FlagCharSet ai_22 529
chr_create 10
FlagCharSet ai_23 530
chr_create 10
FlagCharSet ai_24 540
chr_create 10
FlagCharSet ai_25 541
}
#####################################
func void CreateCharsFlag23(void) {
chr_create 10
FlagCharSet ai_1 101
chr_create 10
FlagCharSet ai_2 102
chr_create 10
FlagCharSet ai_3 103
chr_create 10
FlagCharSet ai_4 223
chr_create 10
FlagCharSet ai_5 226
chr_create 10
FlagCharSet ai_6 531
chr_create 10
FlagCharSet ai_7 532
chr_create 10
FlagCharSet ai_8 537
chr_create 10
FlagCharSet ai_9 539
chr_create 10
FlagCharSet ai_10 106
chr_create 10
FlagCharSet ai_11 107
chr_create 10
FlagCharSet ai_12 108
chr_create 10
FlagCharSet ai_13 109
chr_create 10
FlagCharSet ai_14 110
chr_create 10
FlagCharSet ai_15 111
chr_create 10
FlagCharSet ai_16 112
chr_create 10
FlagCharSet ai_17 104
chr_create 10
FlagCharSet ai_18 105
chr_create 10
FlagCharSet ai_19 113
chr_create 10
FlagCharSet ai_20 114
chr_create 10
FlagCharSet ai_21 115
chr_create 10
FlagCharSet ai_22 116
chr_create 10
FlagCharSet ai_23 117
chr_create 10
FlagCharSet ai_24 118
}
#####################################
func void CreateCharsFlag24(void) {
chr_create 10
FlagCharSet ai_1 1
chr_create 10
FlagCharSet ai_2 133
chr_create 10
FlagCharSet ai_3 134
chr_create 10
FlagCharSet ai_4 135
chr_create 10
FlagCharSet ai_5 136
chr_create 10
FlagCharSet ai_6 137
chr_create 10
FlagCharSet ai_7 138
chr_create 10
FlagCharSet ai_8 139
chr_create 10
FlagCharSet ai_9 140
chr_create 10
FlagCharSet ai_10 141
chr_create 10
FlagCharSet ai_11 142
chr_create 10
FlagCharSet ai_12 143
chr_create 10
FlagCharSet ai_13 219
chr_create 10
FlagCharSet ai_14 220
chr_create 10
FlagCharSet ai_15 221
chr_create 10
FlagCharSet ai_16 222
chr_create 10
FlagCharSet ai_17 559
chr_create 10
FlagCharSet ai_18 535
chr_create 10
FlagCharSet ai_19 536
}
#####################################
func void CreateCharsFlag25(void) {
chr_create 10
FlagCharSet ai_1 119
chr_create 10
FlagCharSet ai_2 120
chr_create 10
FlagCharSet ai_3 121
chr_create 10
FlagCharSet ai_4 122
chr_create 10
FlagCharSet ai_5 123
chr_create 10
FlagCharSet ai_6 124
chr_create 10
FlagCharSet ai_7 125
chr_create 10
FlagCharSet ai_8 126
chr_create 10
FlagCharSet ai_9 127
chr_create 10
FlagCharSet ai_10 128
chr_create 10
FlagCharSet ai_11 129
chr_create 10
FlagCharSet ai_12 130
chr_create 10
FlagCharSet ai_13 131
chr_create 10
FlagCharSet ai_14 132
chr_create 10
FlagCharSet ai_15 533
chr_create 10
FlagCharSet ai_16 534
chr_create 10
FlagCharSet ai_17 558
chr_create 10
FlagCharSet ai_18 176
chr_create 10
FlagCharSet ai_19 177
chr_create 10
FlagCharSet ai_20 178
chr_create 10
FlagCharSet ai_21 179
chr_create 10
FlagCharSet ai_22 180
chr_create 10
FlagCharSet ai_23 181
chr_create 10
FlagCharSet ai_24 225
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 10
FlagCharSet ai_1 6
chr_create 10
FlagCharSet ai_2 144
chr_create 10
FlagCharSet ai_3 145
chr_create 10
FlagCharSet ai_4 146
chr_create 10
FlagCharSet ai_5 147
chr_create 10
FlagCharSet ai_6 148
chr_create 10
FlagCharSet ai_7 149
chr_create 10
FlagCharSet ai_8 150
chr_create 10
FlagCharSet ai_9 151
chr_create 10
FlagCharSet ai_10 152
chr_create 10
FlagCharSet ai_11 153
chr_create 10
FlagCharSet ai_12 154
chr_create 10
FlagCharSet ai_13 155
chr_create 10
FlagCharSet ai_14 240
chr_create 10
FlagCharSet ai_15 241
chr_create 10
FlagCharSet ai_16 242
chr_create 10
FlagCharSet ai_17 244
chr_create 10
FlagCharSet ai_18 245
chr_create 10
FlagCharSet ai_19 500
chr_create 10
FlagCharSet ai_20 522
chr_create 10
FlagCharSet ai_21 544
chr_create 10
FlagCharSet ai_22 545
chr_create 10
FlagCharSet ai_23 546
}
#####################################
func void CreateCharsFlag32(void) {
chr_create 10
FlagCharSet ai_1 100
chr_create 10
FlagCharSet ai_2 196
chr_create 10
FlagCharSet ai_3 199
chr_create 10
FlagCharSet ai_4 246
chr_create 10
FlagCharSet ai_5 247
chr_create 10
FlagCharSet ai_6 250
chr_create 10
FlagCharSet ai_7 251
chr_create 10
FlagCharSet ai_8 503
chr_create 10
FlagCharSet ai_9 504
chr_create 10
FlagCharSet ai_10 167
chr_create 10
FlagCharSet ai_11 168
chr_create 10
FlagCharSet ai_12 173
chr_create 10
FlagCharSet ai_13 174
chr_create 10
FlagCharSet ai_14 175
chr_create 10
FlagCharSet ai_15 197
chr_create 10
FlagCharSet ai_16 198
chr_create 10
FlagCharSet ai_17 249
chr_create 10
FlagCharSet ai_18 506
chr_create 10
FlagCharSet ai_19 508
chr_create 10
FlagCharSet ai_20 555
}
#####################################
func void CreateCharsFlag33(void) {
chr_create 10
FlagCharSet ai_1 163
chr_create 10
FlagCharSet ai_2 169
chr_create 10
FlagCharSet ai_3 170
chr_create 10
FlagCharSet ai_4 171
chr_create 10
FlagCharSet ai_5 172
chr_create 10
FlagCharSet ai_6 200
chr_create 10
FlagCharSet ai_7 201
chr_create 10
FlagCharSet ai_8 204
chr_create 10
FlagCharSet ai_9 248
chr_create 10
FlagCharSet ai_10 501
chr_create 10
FlagCharSet ai_11 523
chr_create 10
FlagCharSet ai_12 556
chr_create 10
FlagCharSet ai_13 156
chr_create 10
FlagCharSet ai_14 157
chr_create 10
FlagCharSet ai_15 158
chr_create 10
FlagCharSet ai_16 159
chr_create 10
FlagCharSet ai_17 160
chr_create 10
FlagCharSet ai_18 161
chr_create 10
FlagCharSet ai_19 162
chr_create 10
FlagCharSet ai_20 202
chr_create 10
FlagCharSet ai_21 203
chr_create 10
FlagCharSet ai_22 205
chr_create 10
FlagCharSet ai_23 507
chr_create 10
FlagCharSet ai_24 509
chr_create 10
FlagCharSet ai_25 557
chr_create 10
FlagCharSet ai_26 164
chr_create 10
FlagCharSet ai_27 165
chr_create 10
FlagCharSet ai_28 166
}
#####################################
func void CreateCharsFlag34(void) {
chr_create 10
FlagCharSet ai_1 252
chr_create 10
FlagCharSet ai_2 253
chr_create 10
FlagCharSet ai_3 547
chr_create 10
FlagCharSet ai_4 548
chr_create 10
FlagCharSet ai_5 554
chr_create 10
FlagCharSet ai_6 7
chr_create 10
FlagCharSet ai_7 254
chr_create 10
FlagCharSet ai_8 255
chr_create 10
FlagCharSet ai_9 256
chr_create 10
FlagCharSet ai_10 257
chr_create 10
FlagCharSet ai_11 549
chr_create 10
FlagCharSet ai_12 552
chr_create 10
FlagCharSet ai_13 553
chr_create 10
FlagCharSet ai_14 258
chr_create 10
FlagCharSet ai_15 502
chr_create 10
FlagCharSet ai_16 550
chr_create 10
FlagCharSet ai_17 551
chr_create 10
FlagCharSet ai_18 512
chr_create 10
FlagCharSet ai_19 513
chr_create 10
FlagCharSet ai_20 514
chr_create 10
FlagCharSet ai_21 515
chr_create 10
FlagCharSet ai_22 516
chr_create 10
FlagCharSet ai_23 517
chr_create 10
FlagCharSet ai_24 518
chr_create 10
FlagCharSet ai_25 519
chr_create 10
FlagCharSet ai_26 520
chr_create 10
FlagCharSet ai_27 521
chr_create 10
FlagCharSet ai_28 560
}