###################################
#  Airport Flag Map v1.4 by ZDLO. #
#  147 Airport flags in 6 zones!  #
#  Special thanks to geyser.      #
###################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete civ_victim_1
 chr_forceholster 0 1
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 45) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 6
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 6) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag21
		if(hor_ind1 eq 5) CreateCharsFlag31
		if(hor_ind1 eq 6) CreateCharsFlag01
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg "[r.Flag Map Zones (1/6)]"
		dmsg "[y.First Inside]"
		dmsg " "
		dmsg "(31 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg "[r.Flag Map Zones (2/6)]"
		dmsg "[y.Waiting Rooms]"
		dmsg " "
		dmsg "(22 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg "[r.Flag Map Zones (3/6)]"
		dmsg "[y.Stairs]"
		dmsg " "
		dmsg "(24 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg " "
		dmsg "[r.Flag Map Zones (4/6)]"
		dmsg "[y.Landing Strip]"
		dmsg " "
		dmsg "(23 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg " "
		dmsg "[r.Flag Map Zones (5/6)]"
		dmsg "[y.Repair Shed]"
		dmsg " "
		dmsg "(32 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg " "
		dmsg "[r.Flag Map Zones (6/6)]"
		dmsg "[y.Miscellaneous]"
		dmsg "[b.Road, last room and out-of-SP]"
		dmsg "(15 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1010
FlagCharSet ai_1 105
chr_create 1010
FlagCharSet ai_2 1016
chr_create 1010
FlagCharSet ai_3 7001
chr_create 1010
FlagCharSet ai_4 7013
chr_create 1010
FlagCharSet ai_5 7015
chr_create 1010
FlagCharSet ai_6 7017
chr_create 1010
FlagCharSet ai_7 7020
chr_create 1010
FlagCharSet ai_8 1018
chr_create 1010
FlagCharSet ai_9 1019
chr_create 1010
FlagCharSet ai_10 1024
chr_create 1010
FlagCharSet ai_11 7012
chr_create 1010
FlagCharSet ai_12 7016
chr_create 1010
FlagCharSet ai_13 7019
chr_create 1010
FlagCharSet ai_14 1025
chr_create 1010
FlagCharSet ai_15 1020
chr_create 1010
FlagCharSet ai_16 7011
chr_create 1010
FlagCharSet ai_17 7018
chr_create 1010
FlagCharSet ai_18 7021
chr_create 1010
FlagCharSet ai_19 7022
chr_create 1010
FlagCharSet ai_20 7039
chr_create 1010
FlagCharSet ai_21 1021
chr_create 1010
FlagCharSet ai_22 1022
chr_create 1010
FlagCharSet ai_23 1023
chr_create 1010
FlagCharSet ai_24 7038
chr_create 1010
FlagCharSet ai_25 7041
chr_create 1010
FlagCharSet ai_26 7042
chr_create 1010
FlagCharSet ai_27 7043
chr_create 1010
FlagCharSet ai_28 7044
chr_create 1010
FlagCharSet ai_29 7045
chr_create 1010
FlagCharSet ai_30 1136
chr_create 1010
FlagCharSet ai_31 7002
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1010
FlagCharSet ai_1 110
chr_create 1010
FlagCharSet ai_2 1027
chr_create 1010
FlagCharSet ai_3 1028
chr_create 1010
FlagCharSet ai_4 1030
chr_create 1010
FlagCharSet ai_5 1031
chr_create 1010
FlagCharSet ai_6 1032
chr_create 1010
FlagCharSet ai_7 1033
chr_create 1010
FlagCharSet ai_8 7003
chr_create 1010
FlagCharSet ai_9 7004
chr_create 1010
FlagCharSet ai_10 7034
chr_create 1010
FlagCharSet ai_11 7035
chr_create 1010
FlagCharSet ai_12 7036
chr_create 1010
FlagCharSet ai_13 7037
chr_create 1010
FlagCharSet ai_14 7040
chr_create 1010
FlagCharSet ai_15 1015
chr_create 1010
FlagCharSet ai_16 7006
chr_create 1010
FlagCharSet ai_17 7050
chr_create 1010
FlagCharSet ai_18 7051
chr_create 1010
FlagCharSet ai_19 1113
chr_create 1010
FlagCharSet ai_20 1114
chr_create 1010
FlagCharSet ai_21 1115
chr_create 1010
FlagCharSet ai_22 7008
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 1010
FlagCharSet ai_1 1092
chr_create 1010
FlagCharSet ai_2 1093
chr_create 1010
FlagCharSet ai_3 1094
chr_create 1010
FlagCharSet ai_4 1095
chr_create 1010
FlagCharSet ai_5 1097
chr_create 1010
FlagCharSet ai_6 1098
chr_create 1010
FlagCharSet ai_7 1137
chr_create 1010
FlagCharSet ai_8 1138
chr_create 1010
FlagCharSet ai_9 7031
chr_create 1010
FlagCharSet ai_10 7032
chr_create 1010
FlagCharSet ai_11 7033
chr_create 1010
FlagCharSet ai_12 7048
chr_create 1010
FlagCharSet ai_13 7049
chr_create 1010
FlagCharSet ai_14 1099
chr_create 1010
FlagCharSet ai_15 1100
chr_create 1010
FlagCharSet ai_16 1110
chr_create 1010
FlagCharSet ai_17 1111
chr_create 1010
FlagCharSet ai_18 1112
chr_create 1010
FlagCharSet ai_19 1142
chr_create 1010
FlagCharSet ai_20 7065
chr_create 1010
FlagCharSet ai_21 7066
chr_create 1010
FlagCharSet ai_22 7067
chr_create 1010
FlagCharSet ai_23 7068
chr_create 1010
FlagCharSet ai_24 7070
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1010
FlagCharSet ai_1 1101
chr_create 1010
FlagCharSet ai_2 1102
chr_create 1010
FlagCharSet ai_3 1103
chr_create 1010
FlagCharSet ai_4 1104
chr_create 1010
FlagCharSet ai_5 1105
chr_create 1010
FlagCharSet ai_6 1106
chr_create 1010
FlagCharSet ai_7 1107
chr_create 1010
FlagCharSet ai_8 1108
chr_create 1010
FlagCharSet ai_9 1109
chr_create 1010
FlagCharSet ai_10 1132
chr_create 1010
FlagCharSet ai_11 1133
chr_create 1010
FlagCharSet ai_12 1134
chr_create 1010
FlagCharSet ai_13 1135
chr_create 1010
FlagCharSet ai_14 7005
chr_create 1010
FlagCharSet ai_15 7007
chr_create 1010
FlagCharSet ai_16 7046
chr_create 1010
FlagCharSet ai_17 7047
chr_create 1010
FlagCharSet ai_18 7055
chr_create 1010
FlagCharSet ai_19 7056
chr_create 1010
FlagCharSet ai_20 7057
chr_create 1010
FlagCharSet ai_21 7058
chr_create 1010
FlagCharSet ai_22 7063
chr_create 1010
FlagCharSet ai_23 7064
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1010
FlagCharSet ai_1 1122
chr_create 1010
FlagCharSet ai_2 1125
chr_create 1010
FlagCharSet ai_3 1126
chr_create 1010
FlagCharSet ai_4 1127
chr_create 1010
FlagCharSet ai_5 1128
chr_create 1010
FlagCharSet ai_6 1129
chr_create 1010
FlagCharSet ai_7 1130
chr_create 1010
FlagCharSet ai_8 1131
chr_create 1010
FlagCharSet ai_9 7023
chr_create 1010
FlagCharSet ai_10 7024
chr_create 1010
FlagCharSet ai_11 7025
chr_create 1010
FlagCharSet ai_12 7026
chr_create 1010
FlagCharSet ai_13 7027
chr_create 1010
FlagCharSet ai_14 7028
chr_create 1010
FlagCharSet ai_15 7029
chr_create 1010
FlagCharSet ai_16 7030
chr_create 1010
FlagCharSet ai_17 7059
chr_create 1010
FlagCharSet ai_18 7060
chr_create 1010
FlagCharSet ai_19 7061
chr_create 1010
FlagCharSet ai_20 7062
chr_create 1010
FlagCharSet ai_21 1116
chr_create 1010
FlagCharSet ai_22 1117
chr_create 1010
FlagCharSet ai_23 1118
chr_create 1010
FlagCharSet ai_24 1119
chr_create 1010
FlagCharSet ai_25 1120
chr_create 1010
FlagCharSet ai_26 1121
chr_create 1010
FlagCharSet ai_27 1123
chr_create 1010
FlagCharSet ai_28 1124
chr_create 1010
FlagCharSet ai_29 1141
chr_create 1010
FlagCharSet ai_30 7010
chr_create 1010
FlagCharSet ai_31 7052
chr_create 1010
FlagCharSet ai_32 7069
}
#####################################
func void CreateCharsFlag01(void) {
chr_create 1010
FlagCharSet ai_1 100
chr_create 1010
FlagCharSet ai_2 101
chr_create 1010
FlagCharSet ai_3 102
chr_create 1010
FlagCharSet ai_4 1000
chr_create 1010
FlagCharSet ai_5 1017
chr_create 1010
FlagCharSet ai_6 7000
chr_create 1010
FlagCharSet ai_7 7014
chr_create 1010
FlagCharSet ai_8 7053
chr_create 1010
FlagCharSet ai_9 7054
chr_create 1010
FlagCharSet ai_10 0
chr_create 1010
FlagCharSet ai_11 1026
chr_create 1010
FlagCharSet ai_12 1091
chr_create 1010
FlagCharSet ai_13 7009
chr_create 1010
FlagCharSet ai_14 1139
chr_create 1010
FlagCharSet ai_15 1140
}