###################################
#  TCTF HQ Flag Map v1.4 by ZDLO. #
#  277 HQ flags in 12 zones!      #
#  Special thanks to geyser.      #
###################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete lobby_victim
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto -1082 -1.5 -50
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 40) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 12
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 12) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag21
		if(hor_ind1 eq 4) CreateCharsFlag22
		if(hor_ind1 eq 5) CreateCharsFlag23
		if(hor_ind1 eq 6) CreateCharsFlag24
		if(hor_ind1 eq 7) CreateCharsFlag31
		if(hor_ind1 eq 8) CreateCharsFlag32
		if(hor_ind1 eq 9) CreateCharsFlag41
		if(hor_ind1 eq 10) CreateCharsFlag42
		if(hor_ind1 eq 11) CreateCharsFlag43
		if(hor_ind1 eq 12) CreateCharsFlag44
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg "[r.Flag Map Zones (1/12)]"
		dmsg "[y.Car Park (1/2)]"
		dmsg "[b.1st floor (1/1)]"
		dmsg "(19 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg "[r.Flag Map Zones (2/12)]"
		dmsg "[y.Car Park (2/2)]"
		dmsg "[b.2-3 floors (1/1)]"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg "[r.Flag Map Zones (3/12)]"
		dmsg "[y.Building SP1-SP2 (1/4)]"
		dmsg "[b.1st floor (1/2)]"
		dmsg "(areas between rooms - 25)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg " "
		dmsg "[r.Flag Map Zones (4/12)]"
		dmsg "[y.Building SP1-SP2 (2/4)]"
		dmsg "[b.1st floor (2/2)]"
		dmsg "(stairs, rooms and Omega - 22)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg " "
		dmsg "[r.Flag Map Zones (5/12)]"
		dmsg "[y.Building SP1-SP2 (3/4)]"
		dmsg "[b.2nd floor (1/1)]"
		dmsg "(29 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg " "
		dmsg "[r.Flag Map Zones (6/12)]"
		dmsg "[y.Building SP1-SP2 (4/4)]"
		dmsg "[b.3-4 floors (1/1)]"
		dmsg "(27 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg " "
		dmsg "[r.Flag Map Zones (7/12)]"
		dmsg "[y.Building SP2-SP3 (1/2)]"
		dmsg "[b.1st floor (1/1)]"
		dmsg "(10 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg " "
		dmsg "[r.Flag Map Zones (8/12)]"
		dmsg "[y.Building SP2-SP3 (2/2)]"
		dmsg "[b.2-4 floors (1/1)]"
		dmsg "(27 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg " "
		dmsg "[r.Flag Map Zones (9/12)]"
		dmsg "[y.Building SP3-SP4 (1/4)]"
		dmsg "[b.1st floor (1/1)]"
		dmsg "(20 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 10) {
		dmsg " "
		dmsg "[r.Flag Map Zones (10/12)]"
		dmsg "[y.Building SP3-SP4 (2/4)]"
		dmsg "[b.2nd floor (1/1)]"
		dmsg "(29 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 11) {
		dmsg " "
		dmsg "[r.Flag Map Zones (11/12)]"
		dmsg "[y.Building SP3-SP4 (3/4)]"
		dmsg "[b.3rd floor (1/1)]"
		dmsg "(21 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 12) {
		dmsg " "
		dmsg "[r.Flag Map Zones (12/12)]"
		dmsg "[y.Building SP3-SP4 (4/4)]"
		dmsg "[b.4, roof (1/1)]"
		dmsg "(28 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1050
FlagCharSet ai_1 1
chr_create 1050
FlagCharSet ai_2 12
chr_create 1050
FlagCharSet ai_3 13
chr_create 1050
FlagCharSet ai_4 14
chr_create 1050
FlagCharSet ai_5 15
chr_create 1050
FlagCharSet ai_6 16
chr_create 1050
FlagCharSet ai_7 17
chr_create 1050
FlagCharSet ai_8 25
chr_create 1050
FlagCharSet ai_9 26
chr_create 1050
FlagCharSet ai_10 28
chr_create 1050
FlagCharSet ai_11 29
chr_create 1050
FlagCharSet ai_12 210
chr_create 1050
FlagCharSet ai_13 211
chr_create 1050
FlagCharSet ai_14 307
chr_create 1050
FlagCharSet ai_15 1101
chr_create 1050
FlagCharSet ai_16 1102
chr_create 1050
FlagCharSet ai_17 4001
chr_create 1050
FlagCharSet ai_18 4002
chr_create 1050
FlagCharSet ai_19 6001
}
######################################
func void CreateCharsFlag12(void) {
chr_create 1050
FlagCharSet ai_1 1103
chr_create 1050
FlagCharSet ai_2 1104
chr_create 1050
FlagCharSet ai_3 1106
chr_create 1050
FlagCharSet ai_4 1107
chr_create 1050
FlagCharSet ai_5 4004
chr_create 1050
FlagCharSet ai_6 4005
chr_create 1050
FlagCharSet ai_7 4009
chr_create 1050
FlagCharSet ai_8 6002
chr_create 1050
FlagCharSet ai_9 6003
chr_create 1050
FlagCharSet ai_10 201
chr_create 1050
FlagCharSet ai_11 202
chr_create 1050
FlagCharSet ai_12 301
chr_create 1050
FlagCharSet ai_13 302
chr_create 1050
FlagCharSet ai_14 303
chr_create 1050
FlagCharSet ai_15 304
chr_create 1050
FlagCharSet ai_16 305
chr_create 1050
FlagCharSet ai_17 306
chr_create 1050
FlagCharSet ai_18 1108
chr_create 1050
FlagCharSet ai_19 1109
chr_create 1050
FlagCharSet ai_20 4008
}
######################################
func void CreateCharsFlag21(void) {
chr_create 1050
FlagCharSet ai_1 11
chr_create 1050
FlagCharSet ai_2 111
chr_create 1050
FlagCharSet ai_3 0556
chr_create 1050
FlagCharSet ai_4 9101
chr_create 1050
FlagCharSet ai_5 21
chr_create 1050
FlagCharSet ai_6 22
chr_create 1050
FlagCharSet ai_7 23
chr_create 1050
FlagCharSet ai_8 24
chr_create 1050
FlagCharSet ai_9 31
chr_create 1050
FlagCharSet ai_10 32
chr_create 1050
FlagCharSet ai_11 316
chr_create 1050
FlagCharSet ai_12 317
chr_create 1050
FlagCharSet ai_13 70
chr_create 1050
FlagCharSet ai_14 71
chr_create 1050
FlagCharSet ai_15 73
chr_create 1050
FlagCharSet ai_16 74
chr_create 1050
FlagCharSet ai_17 76
chr_create 1050
FlagCharSet ai_18 78
chr_create 1050
FlagCharSet ai_19 79
chr_create 1050
FlagCharSet ai_20 80
chr_create 1050
FlagCharSet ai_21 328
chr_create 1050
FlagCharSet ai_22 406
chr_create 1050
FlagCharSet ai_23 7001
chr_create 1050
FlagCharSet ai_24 7046
chr_create 1050
FlagCharSet ai_25 7047
}
######################################
func void CreateCharsFlag22(void) {
chr_create 1050
FlagCharSet ai_1 0
chr_create 1050
FlagCharSet ai_2 401
chr_create 1050
FlagCharSet ai_3 404
chr_create 1050
FlagCharSet ai_4 4003
chr_create 1050
FlagCharSet ai_5 68
chr_create 1050
FlagCharSet ai_6 75
chr_create 1050
FlagCharSet ai_7 323
chr_create 1050
FlagCharSet ai_8 1122
chr_create 1050
FlagCharSet ai_9 5001
chr_create 1050
FlagCharSet ai_10 69
chr_create 1050
FlagCharSet ai_11 77
chr_create 1050
FlagCharSet ai_12 324
chr_create 1050
FlagCharSet ai_13 325
chr_create 1050
FlagCharSet ai_14 326
chr_create 1050
FlagCharSet ai_15 327
chr_create 1050
FlagCharSet ai_16 72
chr_create 1050
FlagCharSet ai_17 7002
chr_create 1050
FlagCharSet ai_18 7009
chr_create 1050
FlagCharSet ai_19 1111
chr_create 1050
FlagCharSet ai_20 3001
chr_create 1050
FlagCharSet ai_21 1110
chr_create 1050
FlagCharSet ai_22 8101
}
######################################
func void CreateCharsFlag23(void) {
chr_create 1050
FlagCharSet ai_1 41
chr_create 1050
FlagCharSet ai_2 42
chr_create 1050
FlagCharSet ai_3 61
chr_create 1050
FlagCharSet ai_4 61
chr_create 1050
FlagCharSet ai_5 81
chr_create 1050
FlagCharSet ai_6 82
chr_create 1050
FlagCharSet ai_7 83
chr_create 1050
FlagCharSet ai_8 84
chr_create 1050
FlagCharSet ai_9 310
chr_create 1050
FlagCharSet ai_10 312
chr_create 1050
FlagCharSet ai_11 313
chr_create 1050
FlagCharSet ai_12 314
chr_create 1050
FlagCharSet ai_13 315
chr_create 1050
FlagCharSet ai_14 321
chr_create 1050
FlagCharSet ai_15 322
chr_create 1050
FlagCharSet ai_16 402
chr_create 1050
FlagCharSet ai_17 403
chr_create 1050
FlagCharSet ai_18 1105
chr_create 1050
FlagCharSet ai_19 1902
chr_create 1050
FlagCharSet ai_20 1904
chr_create 1050
FlagCharSet ai_21 3002
chr_create 1050
FlagCharSet ai_22 4006
chr_create 1050
FlagCharSet ai_23 6972
chr_create 1050
FlagCharSet ai_24 7003
chr_create 1050
FlagCharSet ai_25 7004
chr_create 1050
FlagCharSet ai_26 7005
chr_create 1050
FlagCharSet ai_27 7008
chr_create 1050
FlagCharSet ai_28 7014
chr_create 1050
FlagCharSet ai_29 7018
}
######################################
func void CreateCharsFlag24(void) {
chr_create 1050
FlagCharSet ai_1 57
chr_create 1050
FlagCharSet ai_2 59
chr_create 1050
FlagCharSet ai_3 308
chr_create 1050
FlagCharSet ai_4 309
chr_create 1050
FlagCharSet ai_5 311
chr_create 1050
FlagCharSet ai_6 318
chr_create 1050
FlagCharSet ai_7 320
chr_create 1050
FlagCharSet ai_8 329
chr_create 1050
FlagCharSet ai_9 330
chr_create 1050
FlagCharSet ai_10 501
chr_create 1050
FlagCharSet ai_11 502
chr_create 1050
FlagCharSet ai_12 503
chr_create 1050
FlagCharSet ai_13 504
chr_create 1050
FlagCharSet ai_14 2001
chr_create 1050
FlagCharSet ai_15 3003
chr_create 1050
FlagCharSet ai_16 4007
chr_create 1050
FlagCharSet ai_17 7010
chr_create 1050
FlagCharSet ai_18 7011
chr_create 1050
FlagCharSet ai_19 1112
chr_create 1050
FlagCharSet ai_20 1901
chr_create 1050
FlagCharSet ai_21 1903
chr_create 1050
FlagCharSet ai_22 2003
chr_create 1050
FlagCharSet ai_23 3004
chr_create 1050
FlagCharSet ai_24 7012
chr_create 1050
FlagCharSet ai_25 7013
chr_create 1050
FlagCharSet ai_26 7015
chr_create 1050
FlagCharSet ai_27 9998
}
######################################
func void CreateCharsFlag31(void) {
chr_create 1050
FlagCharSet ai_1 331
chr_create 1050
FlagCharSet ai_2 332
chr_create 1050
FlagCharSet ai_3 337
chr_create 1050
FlagCharSet ai_4 405
chr_create 1050
FlagCharSet ai_5 1113
chr_create 1050
FlagCharSet ai_6 1905
chr_create 1050
FlagCharSet ai_7 6970
chr_create 1050
FlagCharSet ai_8 7000
chr_create 1050
FlagCharSet ai_9 7016
chr_create 1050
FlagCharSet ai_10 7017
}
######################################
func void CreateCharsFlag32(void) {
chr_create 1050
FlagCharSet ai_1 7021
chr_create 1050
FlagCharSet ai_2 7023
chr_create 1050
FlagCharSet ai_3 333
chr_create 1050
FlagCharSet ai_4 334
chr_create 1050
FlagCharSet ai_5 335
chr_create 1050
FlagCharSet ai_6 7024
chr_create 1050
FlagCharSet ai_7 336
chr_create 1050
FlagCharSet ai_8 7030
chr_create 1050
FlagCharSet ai_9 7040
chr_create 1050
FlagCharSet ai_10 7041
chr_create 1050
FlagCharSet ai_11 7043
chr_create 1050
FlagCharSet ai_12 56
chr_create 1050
FlagCharSet ai_13 7019
chr_create 1050
FlagCharSet ai_14 7033
chr_create 1050
FlagCharSet ai_15 7034
chr_create 1050
FlagCharSet ai_16 7042
chr_create 1050
FlagCharSet ai_17 55
chr_create 1050
FlagCharSet ai_18 60
chr_create 1050
FlagCharSet ai_19 339
chr_create 1050
FlagCharSet ai_20 1115
chr_create 1050
FlagCharSet ai_21 7020
chr_create 1050
FlagCharSet ai_22 7044
chr_create 1050
FlagCharSet ai_23 7045
chr_create 1050
FlagCharSet ai_24 9999
chr_create 1050
FlagCharSet ai_25 338
chr_create 1050
FlagCharSet ai_26 340
chr_create 1050
FlagCharSet ai_27 341
}
######################################
func void CreateCharsFlag41(void) {
chr_create 1050
FlagCharSet ai_1 85
chr_create 1050
FlagCharSet ai_2 86
chr_create 1050
FlagCharSet ai_3 87
chr_create 1050
FlagCharSet ai_4 342
chr_create 1050
FlagCharSet ai_5 343
chr_create 1050
FlagCharSet ai_6 344
chr_create 1050
FlagCharSet ai_7 345
chr_create 1050
FlagCharSet ai_8 346
chr_create 1050
FlagCharSet ai_9 347
chr_create 1050
FlagCharSet ai_10 348
chr_create 1050
FlagCharSet ai_11 350
chr_create 1050
FlagCharSet ai_12 364
chr_create 1050
FlagCharSet ai_13 365
chr_create 1050
FlagCharSet ai_14 366
chr_create 1050
FlagCharSet ai_15 367
chr_create 1050
FlagCharSet ai_16 368
chr_create 1050
FlagCharSet ai_17 1114
chr_create 1050
FlagCharSet ai_18 1116
chr_create 1050
FlagCharSet ai_19 3006
chr_create 1050
FlagCharSet ai_20 3040
}
######################################
func void CreateCharsFlag42(void) {
chr_create 1050
FlagCharSet ai_1 100
chr_create 1050
FlagCharSet ai_2 101
chr_create 1050
FlagCharSet ai_3 349
chr_create 1050
FlagCharSet ai_4 351
chr_create 1050
FlagCharSet ai_5 352
chr_create 1050
FlagCharSet ai_6 353
chr_create 1050
FlagCharSet ai_7 354
chr_create 1050
FlagCharSet ai_8 355
chr_create 1050
FlagCharSet ai_9 356
chr_create 1050
FlagCharSet ai_10 357
chr_create 1050
FlagCharSet ai_11 358
chr_create 1050
FlagCharSet ai_12 359
chr_create 1050
FlagCharSet ai_13 360
chr_create 1050
FlagCharSet ai_14 361
chr_create 1050
FlagCharSet ai_15 362
chr_create 1050
FlagCharSet ai_16 363
chr_create 1050
FlagCharSet ai_17 369
chr_create 1050
FlagCharSet ai_18 370
chr_create 1050
FlagCharSet ai_19 371
chr_create 1050
FlagCharSet ai_20 372
chr_create 1050
FlagCharSet ai_21 373
chr_create 1050
FlagCharSet ai_22 374
chr_create 1050
FlagCharSet ai_23 375
chr_create 1050
FlagCharSet ai_24 1117
chr_create 1050
FlagCharSet ai_25 7006
chr_create 1050
FlagCharSet ai_26 7026
chr_create 1050
FlagCharSet ai_27 7027
chr_create 1050
FlagCharSet ai_28 7028
chr_create 1050
FlagCharSet ai_29 7029
}
######################################
func void CreateCharsFlag43(void) {
chr_create 1050
FlagCharSet ai_1 63
chr_create 1050
FlagCharSet ai_2 376
chr_create 1050
FlagCharSet ai_3 377
chr_create 1050
FlagCharSet ai_4 378
chr_create 1050
FlagCharSet ai_5 379
chr_create 1050
FlagCharSet ai_6 380
chr_create 1050
FlagCharSet ai_7 381
chr_create 1050
FlagCharSet ai_8 382
chr_create 1050
FlagCharSet ai_9 383
chr_create 1050
FlagCharSet ai_10 384
chr_create 1050
FlagCharSet ai_11 385
chr_create 1050
FlagCharSet ai_12 386
chr_create 1050
FlagCharSet ai_13 387
chr_create 1050
FlagCharSet ai_14 388
chr_create 1050
FlagCharSet ai_15 389
chr_create 1050
FlagCharSet ai_16 390
chr_create 1050
FlagCharSet ai_17 1118
chr_create 1050
FlagCharSet ai_18 7022
chr_create 1050
FlagCharSet ai_19 7025
chr_create 1050
FlagCharSet ai_20 7031
chr_create 1050
FlagCharSet ai_21 7032
}
######################################
func void CreateCharsFlag44(void) {
chr_create 1050
FlagCharSet ai_1 58
chr_create 1050
FlagCharSet ai_2 64
chr_create 1050
FlagCharSet ai_3 65
chr_create 1050
FlagCharSet ai_4 66
chr_create 1050
FlagCharSet ai_5 67
chr_create 1050
FlagCharSet ai_6 391
chr_create 1050
FlagCharSet ai_7 392
chr_create 1050
FlagCharSet ai_8 393
chr_create 1050
FlagCharSet ai_9 397
chr_create 1050
FlagCharSet ai_10 398
chr_create 1050
FlagCharSet ai_11 399
chr_create 1050
FlagCharSet ai_12 400
chr_create 1050
FlagCharSet ai_13 555
chr_create 1050
FlagCharSet ai_14 557
chr_create 1050
FlagCharSet ai_15 1119
chr_create 1050
FlagCharSet ai_16 1120
chr_create 1050
FlagCharSet ai_17 1121
chr_create 1050
FlagCharSet ai_18 1900
chr_create 1050
FlagCharSet ai_19 3008
chr_create 1050
FlagCharSet ai_20 7007
chr_create 1050
FlagCharSet ai_21 7035
chr_create 1050
FlagCharSet ai_22 7036
chr_create 1050
FlagCharSet ai_23 7037
chr_create 1050
FlagCharSet ai_24 7038
chr_create 1050
FlagCharSet ai_25 7039
chr_create 1050
FlagCharSet ai_26 8103
chr_create 1050
FlagCharSet ai_27 9002
chr_create 1050
FlagCharSet ai_28 9003
}