#################################
#  Power Flag Map v1.4 by ZDLO. #
#  238 power flags in 10 zones! #
#  Special thanks to geyser.    #
#################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete A1_s_blue01
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto 1100 1140 -550
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 100) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 10
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 10) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag21
		if(hor_ind1 eq 4) CreateCharsFlag22
		if(hor_ind1 eq 5) CreateCharsFlag23
		if(hor_ind1 eq 6) CreateCharsFlag31
		if(hor_ind1 eq 7) CreateCharsFlag32
		if(hor_ind1 eq 8) CreateCharsFlag33
		if(hor_ind1 eq 9) CreateCharsFlag01
		if(hor_ind1 eq 10) CreateCharsFlag02
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/10)]"
		dmsg "[y.Power Substation (1/8)]"
		dmsg "[b.1st level (1/2)]"
		dmsg "(1-2 power substations - 26)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/10)]"
		dmsg "[y.Power Substation (2/8)]"
		dmsg "[b.1st level (2/2)]"
		dmsg "(3rd power substation - 18)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/10)]"
		dmsg "[y.Power Substation (3/8)]"
		dmsg "[b.2nd level (1/3)]"
		dmsg "(1st power substation - 23)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/10)]"
		dmsg "[y.Power Substation (4/8)]"
		dmsg "[b.2nd level (2/3)]"
		dmsg "(2nd power substation - 29)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/10)]"
		dmsg "[y.Power Substation (5/8)]"
		dmsg "[b.2nd level, roofs (3/3)]"
		dmsg "(1-2 power substations - 23)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg "[r.Flag Map Zones (6/10)]"
		dmsg "[y.Power Substation (6/8)]"
		dmsg "[b.3rd level (1/3)]"
		dmsg "(1st PS completely and"
		dmsg "2nd PS SCC and CS - 18)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg "[r.Flag Map Zones (7/10)]"
		dmsg "[y.Power Substation (7/8)]"
		dmsg "[b.3rd level (2/3)]"
		dmsg "(2nd power substation"
		dmsg "outside - 28)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg "[r.Flag Map Zones (8/10)]"
		dmsg "[y.Power Substation (8/8)]"
		dmsg "[b.3rd level, roofs (3/3)]"
		dmsg "(2nd power substation - 25)"
		dmsg " "
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg "[r.Flag Map Zones (9/10)]"
		dmsg "[y.Miscellaneous (1/2)]"
		dmsg "[b.Outside]"
		dmsg "(SP1 places, all briges/conduits, near)"
		dmsg "cutscene and  ghostly power substation - 23)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 10) {
		dmsg "[r.Flag Map Zones (10/10)]"
		dmsg "[y.Miscellaneous (2/2)]"
		dmsg "[b.Power II Rooms]"
		dmsg "(entrance and all rooms - 25)"
		dmsg "Notice: 5061=5062, only first is show"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1000
FlagCharSet ai_1 5055
chr_create 1000
FlagCharSet ai_2 5056
chr_create 1000
FlagCharSet ai_3 5057
chr_create 1000
FlagCharSet ai_4 5058
chr_create 1000
FlagCharSet ai_5 120
chr_create 1000
FlagCharSet ai_6 123
chr_create 1000
FlagCharSet ai_7 1097
chr_create 1000
FlagCharSet ai_8 127
chr_create 1000
FlagCharSet ai_9 3088
chr_create 1000
FlagCharSet ai_10 5051
chr_create 1000
FlagCharSet ai_11 5052
chr_create 1000
FlagCharSet ai_12 5053
chr_create 1000
FlagCharSet ai_13 5054
chr_create 1000
FlagCharSet ai_14 3087
chr_create 1000
FlagCharSet ai_15 5034
chr_create 1000
FlagCharSet ai_16 5035
chr_create 1000
FlagCharSet ai_17 5059
chr_create 1000
FlagCharSet ai_18 5060
chr_create 1000
FlagCharSet ai_19 7014
chr_create 1000
FlagCharSet ai_20 7015
chr_create 1000
FlagCharSet ai_21 7016
chr_create 1000
FlagCharSet ai_22 2086
chr_create 1000
FlagCharSet ai_23 7008
chr_create 1000
FlagCharSet ai_24 121
chr_create 1000
FlagCharSet ai_25 122
chr_create 1000
FlagCharSet ai_26 2085
}
######################################
func void CreateCharsFlag12(void) {
chr_create 1000
FlagCharSet ai_1 5047
chr_create 1000
FlagCharSet ai_2 5048
chr_create 1000
FlagCharSet ai_3 2092
chr_create 1000
FlagCharSet ai_4 3095
chr_create 1000
FlagCharSet ai_5 5045
chr_create 1000
FlagCharSet ai_6 5046
chr_create 1000
FlagCharSet ai_7 2091
chr_create 1000
FlagCharSet ai_8 2093
chr_create 1000
FlagCharSet ai_9 3094
chr_create 1000
FlagCharSet ai_10 5040
chr_create 1000
FlagCharSet ai_11 7022
chr_create 1000
FlagCharSet ai_12 5036
chr_create 1000
FlagCharSet ai_13 5037
chr_create 1000
FlagCharSet ai_14 5038
chr_create 1000
FlagCharSet ai_15 5039
chr_create 1000
FlagCharSet ai_16 7003
chr_create 1000
FlagCharSet ai_17 7021
chr_create 1000
FlagCharSet ai_18 7023
}
######################################
func void CreateCharsFlag21(void) {
chr_create 1000
FlagCharSet ai_1 115
chr_create 1000
FlagCharSet ai_2 116
chr_create 1000
FlagCharSet ai_3 5008
chr_create 1000
FlagCharSet ai_4 118
chr_create 1000
FlagCharSet ai_5 5012
chr_create 1000
FlagCharSet ai_6 117
chr_create 1000
FlagCharSet ai_7 5011
chr_create 1000
FlagCharSet ai_8 5015
chr_create 1000
FlagCharSet ai_9 5016
chr_create 1000
FlagCharSet ai_10 5017
chr_create 1000
FlagCharSet ai_11 5018
chr_create 1000
FlagCharSet ai_12 5019
chr_create 1000
FlagCharSet ai_13 5020
chr_create 1000
FlagCharSet ai_14 5021
chr_create 1000
FlagCharSet ai_15 5022
chr_create 1000
FlagCharSet ai_16 5023
chr_create 1000
FlagCharSet ai_17 5024
chr_create 1000
FlagCharSet ai_18 119
chr_create 1000
FlagCharSet ai_19 1095
chr_create 1000
FlagCharSet ai_20 1200
chr_create 1000
FlagCharSet ai_21 5009
chr_create 1000
FlagCharSet ai_22 5033
chr_create 1000
FlagCharSet ai_23 7005
}
######################################
func void CreateCharsFlag22(void) {
chr_create 1000
FlagCharSet ai_1 114
chr_create 1000
FlagCharSet ai_2 133
chr_create 1000
FlagCharSet ai_3 3002
chr_create 1000
FlagCharSet ai_4 5072
chr_create 1000
FlagCharSet ai_5 111
chr_create 1000
FlagCharSet ai_6 112
chr_create 1000
FlagCharSet ai_7 113
chr_create 1000
FlagCharSet ai_8 1051
chr_create 1000
FlagCharSet ai_9 1052
chr_create 1000
FlagCharSet ai_10 1053
chr_create 1000
FlagCharSet ai_11 1054
chr_create 1000
FlagCharSet ai_12 1055
chr_create 1000
FlagCharSet ai_13 1087
chr_create 1000
FlagCharSet ai_14 1088
chr_create 1000
FlagCharSet ai_15 3001
chr_create 1000
FlagCharSet ai_16 7002
chr_create 1000
FlagCharSet ai_17 2006
chr_create 1000
FlagCharSet ai_18 7006
chr_create 1000
FlagCharSet ai_19 7007
chr_create 1000
FlagCharSet ai_20 109
chr_create 1000
FlagCharSet ai_21 110
chr_create 1000
FlagCharSet ai_22 131
chr_create 1000
FlagCharSet ai_23 1046
chr_create 1000
FlagCharSet ai_24 1047
chr_create 1000
FlagCharSet ai_25 1083
chr_create 1000
FlagCharSet ai_26 1084
chr_create 1000
FlagCharSet ai_27 1085
chr_create 1000
FlagCharSet ai_28 1096
chr_create 1000
FlagCharSet ai_29 2005
}
######################################
func void CreateCharsFlag23(void) {
chr_create 1000
FlagCharSet ai_1 1100
chr_create 1000
FlagCharSet ai_2 1101
chr_create 1000
FlagCharSet ai_3 1102
chr_create 1000
FlagCharSet ai_4 5014
chr_create 1000
FlagCharSet ai_5 7018
chr_create 1000
FlagCharSet ai_6 7019
chr_create 1000
FlagCharSet ai_7 7020
chr_create 1000
FlagCharSet ai_8 5025
chr_create 1000
FlagCharSet ai_9 5026
chr_create 1000
FlagCharSet ai_10 5027
chr_create 1000
FlagCharSet ai_11 5028
chr_create 1000
FlagCharSet ai_12 5029
chr_create 1000
FlagCharSet ai_13 5030
chr_create 1000
FlagCharSet ai_14 5031
chr_create 1000
FlagCharSet ai_15 5032
chr_create 1000
FlagCharSet ai_16 1050
chr_create 1000
FlagCharSet ai_17 1056
chr_create 1000
FlagCharSet ai_18 1057
chr_create 1000
FlagCharSet ai_19 1058
chr_create 1000
FlagCharSet ai_20 1059
chr_create 1000
FlagCharSet ai_21 1060
chr_create 1000
FlagCharSet ai_22 1061
chr_create 1000
FlagCharSet ai_23 7017
}
######################################
func void CreateCharsFlag31(void) {
chr_create 1000
FlagCharSet ai_1 7012
chr_create 1000
FlagCharSet ai_2 7013
chr_create 1000
FlagCharSet ai_3 1044
chr_create 1000
FlagCharSet ai_4 7011
chr_create 1000
FlagCharSet ai_5 1009
chr_create 1000
FlagCharSet ai_6 1010
chr_create 1000
FlagCharSet ai_7 1011
chr_create 1000
FlagCharSet ai_8 1012
chr_create 1000
FlagCharSet ai_9 2002
chr_create 1000
FlagCharSet ai_10 1040
chr_create 1000
FlagCharSet ai_11 1041
chr_create 1000
FlagCharSet ai_12 1042
chr_create 1000
FlagCharSet ai_13 1043
chr_create 1000
FlagCharSet ai_14 2004
chr_create 1000
FlagCharSet ai_15 1080
chr_create 1000
FlagCharSet ai_16 5007
chr_create 1000
FlagCharSet ai_17 7000
chr_create 1000
FlagCharSet ai_18 7010
}
######################################
func void CreateCharsFlag32(void) {
chr_create 1000
FlagCharSet ai_1 101
chr_create 1000
FlagCharSet ai_2 102
chr_create 1000
FlagCharSet ai_3 103
chr_create 1000
FlagCharSet ai_4 1002
chr_create 1000
FlagCharSet ai_5 1003
chr_create 1000
FlagCharSet ai_6 1004
chr_create 1000
FlagCharSet ai_7 1005
chr_create 1000
FlagCharSet ai_8 1006
chr_create 1000
FlagCharSet ai_9 1007
chr_create 1000
FlagCharSet ai_10 1045
chr_create 1000
FlagCharSet ai_11 2001
chr_create 1000
FlagCharSet ai_12 7001
chr_create 1000
FlagCharSet ai_13 104
chr_create 1000
FlagCharSet ai_14 105
chr_create 1000
FlagCharSet ai_15 106
chr_create 1000
FlagCharSet ai_16 1013
chr_create 1000
FlagCharSet ai_17 1014
chr_create 1000
FlagCharSet ai_18 1015
chr_create 1000
FlagCharSet ai_19 1016
chr_create 1000
FlagCharSet ai_20 2003
chr_create 1000
FlagCharSet ai_21 107
chr_create 1000
FlagCharSet ai_22 108
chr_create 1000
FlagCharSet ai_23 666
chr_create 1000
FlagCharSet ai_24 1079
chr_create 1000
FlagCharSet ai_25 1081
chr_create 1000
FlagCharSet ai_26 5071
chr_create 1000
FlagCharSet ai_27 7009
chr_create 1000
FlagCharSet ai_28 7024
}
######################################
func void CreateCharsFlag33(void) {
chr_create 1000
FlagCharSet ai_1 1017
chr_create 1000
FlagCharSet ai_2 1018
chr_create 1000
FlagCharSet ai_3 1019
chr_create 1000
FlagCharSet ai_4 1020
chr_create 1000
FlagCharSet ai_5 1021
chr_create 1000
FlagCharSet ai_6 1022
chr_create 1000
FlagCharSet ai_7 1023
chr_create 1000
FlagCharSet ai_8 1024
chr_create 1000
FlagCharSet ai_9 1025
chr_create 1000
FlagCharSet ai_10 1026
chr_create 1000
FlagCharSet ai_11 1027
chr_create 1000
FlagCharSet ai_12 1028
chr_create 1000
FlagCharSet ai_13 1029
chr_create 1000
FlagCharSet ai_14 1030
chr_create 1000
FlagCharSet ai_15 1031
chr_create 1000
FlagCharSet ai_16 1032
chr_create 1000
FlagCharSet ai_17 1033
chr_create 1000
FlagCharSet ai_18 1070
chr_create 1000
FlagCharSet ai_19 5074
chr_create 1000
FlagCharSet ai_20 1071
chr_create 1000
FlagCharSet ai_21 1072
chr_create 1000
FlagCharSet ai_22 1075
chr_create 1000
FlagCharSet ai_23 1076
chr_create 1000
FlagCharSet ai_24 1077
chr_create 1000
FlagCharSet ai_25 1078
}
######################################
func void CreateCharsFlag01(void) {
chr_create 1000
FlagCharSet ai_1 0
chr_create 1000
FlagCharSet ai_2 1
chr_create 1000
FlagCharSet ai_3 100
chr_create 1000
FlagCharSet ai_4 1104
chr_create 1000
FlagCharSet ai_5 1105
chr_create 1000
FlagCharSet ai_6 7028
chr_create 1000
FlagCharSet ai_7 1008
chr_create 1000
FlagCharSet ai_8 1103
chr_create 1000
FlagCharSet ai_9 5070
chr_create 1000
FlagCharSet ai_10 126
chr_create 1000
chr_invincible ai_11 1
FlagCharSet ai_11 128
chr_create 1000
chr_invincible ai_12 1
FlagCharSet ai_12 7026
chr_create 1000
chr_invincible ai_13 1
FlagCharSet ai_13 124
chr_create 1000
FlagCharSet ai_14 125
chr_create 1000
FlagCharSet ai_15 132
chr_create 1000
FlagCharSet ai_16 1000
chr_create 1000
FlagCharSet ai_17 1001
chr_create 1000
FlagCharSet ai_18 5041
chr_create 1000
FlagCharSet ai_19 5042
chr_create 1000
FlagCharSet ai_20 5043
chr_create 1000
FlagCharSet ai_21 5044
chr_create 1000
FlagCharSet ai_22 5049
chr_create 1000
FlagCharSet ai_23 5050
}
######################################
func void CreateCharsFlag02(void) {
chr_create 1000
FlagCharSet ai_1 130
chr_create 1000
FlagCharSet ai_2 5000
chr_create 1000
FlagCharSet ai_3 5010
chr_create 1000
FlagCharSet ai_4 5073
chr_create 1000
FlagCharSet ai_5 5075
chr_create 1000
FlagCharSet ai_6 5076
chr_create 1000
FlagCharSet ai_7 7004
chr_create 1000
FlagCharSet ai_8 7025
chr_create 1000
FlagCharSet ai_9 7027
chr_create 1000
FlagCharSet ai_10 5001
chr_create 1000
FlagCharSet ai_11 5061
chr_create 1000
FlagCharSet ai_12 5063
chr_create 1000
FlagCharSet ai_13 5064
chr_create 1000
FlagCharSet ai_14 5065
chr_create 1000
FlagCharSet ai_15 5002
chr_create 1000
FlagCharSet ai_16 5066
chr_create 1000
FlagCharSet ai_17 5067
chr_create 1000
FlagCharSet ai_18 5068
chr_create 1000
FlagCharSet ai_19 5069
chr_create 1000
FlagCharSet ai_20 129
chr_create 1000
FlagCharSet ai_21 5003
chr_create 1000
FlagCharSet ai_22 5004
chr_create 1000
FlagCharSet ai_23 5005
chr_create 1000
FlagCharSet ai_24 5006
}