#################################
#  State Flag Map v1.4 by ZDLO. #
#  176 state flags in 9 zones!  #
#  Special thanks to geyser.    #
#################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_delete neutral_5
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 40) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 9
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 9) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag01
		if(hor_ind1 eq 2) CreateCharsFlag11
		if(hor_ind1 eq 3) CreateCharsFlag12
		if(hor_ind1 eq 4) CreateCharsFlag13
		if(hor_ind1 eq 5) CreateCharsFlag21
		if(hor_ind1 eq 6) CreateCharsFlag22
		if(hor_ind1 eq 7) CreateCharsFlag31
		if(hor_ind1 eq 8) CreateCharsFlag32
		if(hor_ind1 eq 9) CreateCharsFlag41
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (1/9)]"
		dmsg "[y.0, basement (1/1)]"
		dmsg "(building and bay - 11)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (2/9)]"
		dmsg "[y.1st floor (1/3)]"
		dmsg "(outside - 19)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (3/9)]"
		dmsg "[y.1st floor (2/3)]"
		dmsg "(hall and courtyard - 27)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (4/9)]"
		dmsg "[y.1st floor (3/3)]"
		dmsg "(building, bay and anex - 23)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (5/9)]"
		dmsg "[y.2st floor (1/2)]"
		dmsg "(building - 29)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (6/9)]"
		dmsg "[y.2st floor (2/2)]"
		dmsg "(everywhere expect building - 16)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (7/9)]"
		dmsg "[y.3rd floor (1/2)]"
		dmsg "(building - 27)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (8/9)]"
		dmsg "[y.3rd floor (2/2)]"
		dmsg "(everywhere expect building - 15)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg " "
		dmsg " "
		dmsg "[r.Flag Map Zones (9/9)]"
		dmsg "[y.4, roof (1/1)]"
		dmsg "(roof - 9)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag01(void) {
chr_create 1
FlagCharSet ai_1 200
chr_create 1
FlagCharSet ai_2 205
chr_create 1
FlagCharSet ai_3 210
chr_create 1
FlagCharSet ai_4 220
chr_create 1
FlagCharSet ai_5 251
chr_create 1
FlagCharSet ai_6 252
chr_create 1
FlagCharSet ai_7 253
chr_create 1
FlagCharSet ai_8 254
chr_create 1
FlagCharSet ai_9 256
chr_create 1
FlagCharSet ai_10 257
chr_create 1
FlagCharSet ai_11 267
}
######################################
func void CreateCharsFlag11(void) {
chr_create 1
FlagCharSet ai_1 0
chr_create 1
FlagCharSet ai_2 13
chr_create 1
FlagCharSet ai_3 14
chr_create 1
FlagCharSet ai_4 21
chr_create 1
FlagCharSet ai_5 22
chr_create 1
FlagCharSet ai_6 255
chr_create 1
FlagCharSet ai_7 268
chr_create 1
FlagCharSet ai_8 270
chr_create 1
FlagCharSet ai_9 271
chr_create 1
FlagCharSet ai_10 272
chr_create 1
FlagCharSet ai_11 273
chr_create 1
FlagCharSet ai_12 274
chr_create 1
FlagCharSet ai_13 275
chr_create 1
FlagCharSet ai_14 276
chr_create 1
FlagCharSet ai_15 277
chr_create 1
FlagCharSet ai_16 278
chr_create 1
FlagCharSet ai_17 400
chr_create 1
FlagCharSet ai_18 410
chr_create 1
FlagCharSet ai_19 420
}
######################################
func void CreateCharsFlag12(void) {
chr_create 1
FlagCharSet ai_1 1
chr_create 1
FlagCharSet ai_2 10
chr_create 1
FlagCharSet ai_3 11
chr_create 1
FlagCharSet ai_4 12
chr_create 1
FlagCharSet ai_5 15
chr_create 1
FlagCharSet ai_6 17
chr_create 1
FlagCharSet ai_7 18
chr_create 1
FlagCharSet ai_8 19
chr_create 1
FlagCharSet ai_9 23
chr_create 1
FlagCharSet ai_10 25
chr_create 1
FlagCharSet ai_11 40
chr_create 1
FlagCharSet ai_12 45
chr_create 1
FlagCharSet ai_13 50
chr_create 1
FlagCharSet ai_14 55
chr_create 1
FlagCharSet ai_15 65
chr_create 1
FlagCharSet ai_16 70
chr_create 1
FlagCharSet ai_17 75
chr_create 1
FlagCharSet ai_18 100
chr_create 1
FlagCharSet ai_19 101
chr_create 1
FlagCharSet ai_20 102
chr_create 1
FlagCharSet ai_21 110
chr_create 1
FlagCharSet ai_22 111
chr_create 1
FlagCharSet ai_23 129
chr_create 1
FlagCharSet ai_24 236
chr_create 1
FlagCharSet ai_25 237
chr_create 1
FlagCharSet ai_26 238
chr_create 1
FlagCharSet ai_27 239
}
######################################
func void CreateCharsFlag13(void) {
chr_create 1
FlagCharSet ai_1 20
chr_create 1
FlagCharSet ai_2 24
chr_create 1
FlagCharSet ai_3 30
chr_create 1
FlagCharSet ai_4 35
chr_create 1
FlagCharSet ai_5 51
chr_create 1
FlagCharSet ai_6 60
chr_create 1
FlagCharSet ai_7 105
chr_create 1
FlagCharSet ai_8 106
chr_create 1
FlagCharSet ai_9 109
chr_create 1
FlagCharSet ai_10 115
chr_create 1
FlagCharSet ai_11 121
chr_create 1
FlagCharSet ai_12 122
chr_create 1
FlagCharSet ai_13 123
chr_create 1
FlagCharSet ai_14 124
chr_create 1
FlagCharSet ai_15 125
chr_create 1
FlagCharSet ai_16 130
chr_create 1
FlagCharSet ai_17 262
chr_create 1
FlagCharSet ai_18 263
chr_create 1
FlagCharSet ai_19 264
chr_create 1
FlagCharSet ai_20 265
chr_create 1
FlagCharSet ai_21 269
chr_create 1
FlagCharSet ai_22 281
chr_create 1
FlagCharSet ai_23 287
}
######################################
func void CreateCharsFlag21(void) {
chr_create 1
FlagCharSet ai_1 142
chr_create 1
FlagCharSet ai_2 143
chr_create 1
FlagCharSet ai_3 150
chr_create 1
FlagCharSet ai_4 155
chr_create 1
FlagCharSet ai_5 160
chr_create 1
FlagCharSet ai_6 165
chr_create 1
FlagCharSet ai_7 170
chr_create 1
FlagCharSet ai_8 175
chr_create 1
FlagCharSet ai_9 201
chr_create 1
FlagCharSet ai_10 206
chr_create 1
FlagCharSet ai_11 207
chr_create 1
FlagCharSet ai_12 208
chr_create 1
FlagCharSet ai_13 209
chr_create 1
FlagCharSet ai_14 211
chr_create 1
FlagCharSet ai_15 212
chr_create 1
FlagCharSet ai_16 213
chr_create 1
FlagCharSet ai_17 214
chr_create 1
FlagCharSet ai_18 215
chr_create 1
FlagCharSet ai_19 216
chr_create 1
FlagCharSet ai_20 246
chr_create 1
FlagCharSet ai_21 247
chr_create 1
FlagCharSet ai_22 248
chr_create 1
FlagCharSet ai_23 249
chr_create 1
FlagCharSet ai_24 279
chr_create 1
FlagCharSet ai_25 280
chr_create 1
FlagCharSet ai_26 286
chr_create 1
FlagCharSet ai_27 290
chr_create 1
FlagCharSet ai_28 291
chr_create 1
FlagCharSet ai_29 292
}
######################################
func void CreateCharsFlag22(void) {
chr_create 1
FlagCharSet ai_1 112
chr_create 1
FlagCharSet ai_2 113
chr_create 1
FlagCharSet ai_3 116
chr_create 1
FlagCharSet ai_4 118
chr_create 1
FlagCharSet ai_5 119
chr_create 1
FlagCharSet ai_6 126
chr_create 1
FlagCharSet ai_7 128
chr_create 1
FlagCharSet ai_8 140
chr_create 1
FlagCharSet ai_9 141
chr_create 1
FlagCharSet ai_10 235
chr_create 1
FlagCharSet ai_11 240
chr_create 1
FlagCharSet ai_12 245
chr_create 1
FlagCharSet ai_13 266
chr_create 1
FlagCharSet ai_14 310
chr_create 1
FlagCharSet ai_15 315
chr_create 1
FlagCharSet ai_16 430
}
######################################
func void CreateCharsFlag31(void) {
chr_create 1
FlagCharSet ai_1 107
chr_create 1
FlagCharSet ai_2 108
chr_create 1
FlagCharSet ai_3 131
chr_create 1
FlagCharSet ai_4 132
chr_create 1
FlagCharSet ai_5 180
chr_create 1
FlagCharSet ai_6 181
chr_create 1
FlagCharSet ai_7 182
chr_create 1
FlagCharSet ai_8 183
chr_create 1
FlagCharSet ai_9 190
chr_create 1
FlagCharSet ai_10 195
chr_create 1
FlagCharSet ai_11 217
chr_create 1
FlagCharSet ai_12 218
chr_create 1
FlagCharSet ai_13 219
chr_create 1
FlagCharSet ai_14 221
chr_create 1
FlagCharSet ai_15 222
chr_create 1
FlagCharSet ai_16 223
chr_create 1
FlagCharSet ai_17 224
chr_create 1
FlagCharSet ai_18 227
chr_create 1
FlagCharSet ai_19 228
chr_create 1
FlagCharSet ai_20 241
chr_create 1
FlagCharSet ai_21 242
chr_create 1
FlagCharSet ai_22 243
chr_create 1
FlagCharSet ai_23 244
chr_create 1
FlagCharSet ai_24 282
chr_create 1
FlagCharSet ai_25 283
chr_create 1
FlagCharSet ai_26 284
chr_create 1
FlagCharSet ai_27 285
}
######################################
func void CreateCharsFlag32(void) {
chr_create 1
FlagCharSet ai_1 114
chr_create 1
FlagCharSet ai_2 117
chr_create 1
FlagCharSet ai_3 230
chr_create 1
FlagCharSet ai_4 231
chr_create 1
FlagCharSet ai_5 232
chr_create 1
FlagCharSet ai_6 233
chr_create 1
FlagCharSet ai_7 234
chr_create 1
FlagCharSet ai_8 250
chr_create 1
FlagCharSet ai_9 258
chr_create 1
FlagCharSet ai_10 259
chr_create 1
FlagCharSet ai_11 260
chr_create 1
FlagCharSet ai_12 261
chr_create 1
FlagCharSet ai_13 289
chr_create 1
FlagCharSet ai_14 300
chr_create 1
FlagCharSet ai_15 1030
}
######################################
func void CreateCharsFlag41(void) {
chr_create 1
FlagCharSet ai_1 27
chr_create 1
FlagCharSet ai_2 28
chr_create 1
FlagCharSet ai_3 31
chr_create 1
FlagCharSet ai_4 120
chr_create 1
FlagCharSet ai_5 127
chr_create 1
FlagCharSet ai_6 184
chr_create 1
FlagCharSet ai_7 185
chr_create 1
FlagCharSet ai_8 226
chr_create 1
FlagCharSet ai_9 229
}