#####################################
#  Dream Lab Flag Map v1.4 by ZDLO. #
#  47 HQ flags in 3 zones!          #
#  Special thanks to geyser.        #
#####################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 1
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 3
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 3) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag1
		if(hor_ind1 eq 2) CreateCharsFlag2
		if(hor_ind1 eq 3) CreateCharsFlag3
		chr_focus 0
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg " "
		dmsg "[r.Flag Map Zones (1/3)]"
		dmsg "[y.First Area]"
		dmsg "(all places up to Fury's room"
		dmsg "plus highest places - 16)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg " "
		dmsg "[r.Flag Map Zones (2/3)]"
		dmsg "[y.Second Area]"
		dmsg "(Fury's, Griffin's, Konoko's rooms"
		dmsg "and bays/bridges beetwen them - 15)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg " "
		dmsg "[r.Flag Map Zones (3/3)]"
		dmsg "[y.Striker's Places]"
		dmsg "(Small Striker's Lair,"
		dmsg "pits and houses - 16)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag1(void) {
chr_create 0
FlagCharSet ai_1 0
chr_create 0
FlagCharSet ai_2 5
chr_create 0
FlagCharSet ai_3 7
chr_create 0
FlagCharSet ai_4 14
chr_create 0
FlagCharSet ai_5 19
chr_create 0
FlagCharSet ai_6 23
chr_create 0
FlagCharSet ai_7 31
chr_create 0
FlagCharSet ai_8 34
chr_create 0
FlagCharSet ai_9 37
chr_create 0
FlagCharSet ai_10 40
chr_create 0
FlagCharSet ai_11 20
chr_create 0
FlagCharSet ai_12 1
chr_create 0
FlagCharSet ai_13 8
chr_create 0
FlagCharSet ai_14 10
chr_create 0
FlagCharSet ai_15 4
chr_create 0
FlagCharSet ai_16 27
}
#####################################
func void CreateCharsFlag2(void) {
chr_create 0
FlagCharSet ai_1 3
chr_create 0
FlagCharSet ai_2 13
chr_create 0
FlagCharSet ai_3 18
chr_create 0
FlagCharSet ai_4 26
chr_create 0
FlagCharSet ai_5 46
chr_create 0
FlagCharSet ai_6 47
chr_create 0
FlagCharSet ai_7 6
chr_create 0
FlagCharSet ai_8 24
chr_create 0
FlagCharSet ai_9 12
chr_create 0
FlagCharSet ai_10 9
chr_create 0
FlagCharSet ai_11 16
chr_create 0
FlagCharSet ai_12 17
chr_create 0
FlagCharSet ai_13 25
chr_create 0
FlagCharSet ai_14 2
chr_create 0
FlagCharSet ai_15 11
}
#####################################
func void CreateCharsFlag3(void) {
chr_create 0
FlagCharSet ai_1 41
chr_create 0
FlagCharSet ai_2 42
chr_create 0
FlagCharSet ai_3 43
chr_create 0
FlagCharSet ai_4 44
chr_create 0
FlagCharSet ai_5 45
chr_create 0
FlagCharSet ai_6 21
chr_create 0
FlagCharSet ai_7 22
chr_create 0
FlagCharSet ai_8 28
chr_create 0
FlagCharSet ai_9 29
chr_create 0
FlagCharSet ai_10 30
chr_create 0
FlagCharSet ai_11 32
chr_create 0
FlagCharSet ai_12 33
chr_create 0
FlagCharSet ai_13 35
chr_create 0
FlagCharSet ai_14 36
chr_create 0
FlagCharSet ai_15 38
chr_create 0
FlagCharSet ai_16 39
}