#################################
#  Neuro Flag Map v1.4 by ZDLO. #
#  189 neuro flags in 9 zones!  #
#  Special thanks to geyser.    #
#################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_shadow 0 0
 door_ignore_locks= 1
 gs_show_corpses= 0
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 100) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 9
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 9) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag21
		if(hor_ind1 eq 5) CreateCharsFlag22
		if(hor_ind1 eq 6) CreateCharsFlag23
		if(hor_ind1 eq 7) CreateCharsFlag31
		if(hor_ind1 eq 8) CreateCharsFlag32
		if(hor_ind1 eq 9) CreateCharsFlag01
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/9)]"
		dmsg "[y.Laboratory (1/3)]"
		dmsg "[b.Laser corridor and Hall]"
		dmsg " "
		dmsg "(16 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/9)]"
		dmsg "[y.Laboratory (2/3)]"
		dmsg "[b.Research Facilities]"
		dmsg " "
		dmsg "(25 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/9)]"
		dmsg "[y.Laboratory (3/3)]"
		dmsg "[b.Connecting corridors]"
		dmsg "[b.plus Kerr's room]"
		dmsg "(27 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/9)]"
		dmsg "[y.Brain Sector (1/3)]"
		dmsg "[b.Corridors]"
		dmsg " "
		dmsg "(28 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/9)]"
		dmsg "[y.Brain Sector (2/3)]"
		dmsg "[b.Console rooms]"
		dmsg " "
		dmsg "(31 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 6) {
		dmsg "[r.Flag Map Zones (6/9)]"
		dmsg "[y.Brain Sector (3/3)]"
		dmsg "[b.Brain room]"
		dmsg " "
		dmsg "(14 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 7) {
		dmsg "[r.Flag Map Zones (7/9)]"
		dmsg "[y.Slip Away (1/2)]"
		dmsg "[b.Control room, laser corridor]"
		dmsg "[b.and Last room before Acid Pools]"
		dmsg "(19 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 8) {
		dmsg "[r.Flag Map Zones (8/9)]"
		dmsg "[y.Slip Away (2/2)]"
		dmsg "[b.Acid Pools]"
		dmsg " "
		dmsg "(16 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 9) {
		dmsg "[r.Flag Map Zones (9/9)]"
		dmsg "[y.Miscellaneous (1/1)]"
		dmsg "[b.Normal and Bad]"
		dmsg "[b.Outside flags]"
		dmsg "(13 flags)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1000
FlagCharSet ai_1 106
chr_create 1000
FlagCharSet ai_2 107
chr_create 1000
FlagCharSet ai_3 200
chr_create 1000
FlagCharSet ai_4 206
chr_create 1000
FlagCharSet ai_5 1010
chr_create 1000
FlagCharSet ai_6 7000
chr_create 1000
FlagCharSet ai_7 231
chr_create 1000
FlagCharSet ai_8 308
chr_create 1000
FlagCharSet ai_9 309
chr_create 1000
FlagCharSet ai_10 1011
chr_create 1000
FlagCharSet ai_11 1012
chr_create 1000
FlagCharSet ai_12 1013
chr_create 1000
FlagCharSet ai_13 203
chr_create 1000
FlagCharSet ai_14 307
chr_create 1000
FlagCharSet ai_15 364
chr_create 1000
FlagCharSet ai_16 7001
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1000
FlagCharSet ai_1 207
chr_create 1000
FlagCharSet ai_2 1014
chr_create 1000
FlagCharSet ai_3 1015
chr_create 1000
FlagCharSet ai_4 2070
chr_create 1000
FlagCharSet ai_5 2071
chr_create 1000
FlagCharSet ai_6 2072
chr_create 1000
FlagCharSet ai_7 302
chr_create 1000
FlagCharSet ai_8 2074
chr_create 1000
FlagCharSet ai_9 240
chr_create 1000
FlagCharSet ai_10 241
chr_create 1000
FlagCharSet ai_11 242
chr_create 1000
FlagCharSet ai_12 243
chr_create 1000
FlagCharSet ai_13 246
chr_create 1000
FlagCharSet ai_14 247
chr_create 1000
FlagCharSet ai_15 251
chr_create 1000
FlagCharSet ai_16 236
chr_create 1000
FlagCharSet ai_17 237
chr_create 1000
FlagCharSet ai_18 248
chr_create 1000
FlagCharSet ai_19 211
chr_create 1000
FlagCharSet ai_20 256
chr_create 1000
FlagCharSet ai_21 1263
chr_create 1000
FlagCharSet ai_22 1264
chr_create 1000
FlagCharSet ai_23 259
chr_create 1000
FlagCharSet ai_24 260
chr_create 1000
FlagCharSet ai_25 265
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 1000
FlagCharSet ai_1 235
chr_create 1000
FlagCharSet ai_2 301
chr_create 1000
FlagCharSet ai_3 103
chr_create 1000
FlagCharSet ai_4 233
chr_create 1000
FlagCharSet ai_5 234
chr_create 1000
FlagCharSet ai_6 7009
chr_create 1000
FlagCharSet ai_7 208
chr_create 1000
FlagCharSet ai_8 213
chr_create 1000
FlagCharSet ai_9 232
chr_create 1000
FlagCharSet ai_10 2073
chr_create 1000
FlagCharSet ai_11 244
chr_create 1000
FlagCharSet ai_12 7003
chr_create 1000
FlagCharSet ai_13 210
chr_create 1000
FlagCharSet ai_14 245
chr_create 1000
FlagCharSet ai_15 249
chr_create 1000
FlagCharSet ai_16 252
chr_create 1000
FlagCharSet ai_17 238
chr_create 1000
FlagCharSet ai_18 239
chr_create 1000
FlagCharSet ai_19 250
chr_create 1000
FlagCharSet ai_20 253
chr_create 1000
FlagCharSet ai_21 255
chr_create 1000
FlagCharSet ai_22 212
chr_create 1000
FlagCharSet ai_23 214
chr_create 1000
FlagCharSet ai_24 257
chr_create 1000
FlagCharSet ai_25 258
chr_create 1000
FlagCharSet ai_26 340
chr_create 1000
FlagCharSet ai_27 1261
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1000
FlagCharSet ai_1 217
chr_create 1000
FlagCharSet ai_2 218
chr_create 1000
FlagCharSet ai_3 228
chr_create 1000
FlagCharSet ai_4 261
chr_create 1000
FlagCharSet ai_5 263
chr_create 1000
FlagCharSet ai_6 264
chr_create 1000
FlagCharSet ai_7 312
chr_create 1000
FlagCharSet ai_8 336
chr_create 1000
FlagCharSet ai_9 7004
chr_create 1000
FlagCharSet ai_10 7011
chr_create 1000
FlagCharSet ai_11 7012
chr_create 1000
FlagCharSet ai_12 7013
chr_create 1000
FlagCharSet ai_13 7014
chr_create 1000
FlagCharSet ai_14 7015
chr_create 1000
FlagCharSet ai_15 7018
chr_create 1000
FlagCharSet ai_16 266
chr_create 1000
FlagCharSet ai_17 267
chr_create 1000
FlagCharSet ai_18 269
chr_create 1000
FlagCharSet ai_19 270
chr_create 1000
FlagCharSet ai_20 271
chr_create 1000
FlagCharSet ai_21 272
chr_create 1000
FlagCharSet ai_22 273
chr_create 1000
FlagCharSet ai_23 274
chr_create 1000
FlagCharSet ai_24 275
chr_create 1000
FlagCharSet ai_25 341
chr_create 1000
FlagCharSet ai_26 342
chr_create 1000
FlagCharSet ai_27 343
chr_create 1000
FlagCharSet ai_28 344
}
#####################################
func void CreateCharsFlag22(void) {
chr_create 1000
FlagCharSet ai_1 313
chr_create 1000
FlagCharSet ai_2 330
chr_create 1000
FlagCharSet ai_3 331
chr_create 1000
FlagCharSet ai_4 332
chr_create 1000
FlagCharSet ai_5 333
chr_create 1000
FlagCharSet ai_6 334
chr_create 1000
FlagCharSet ai_7 335
chr_create 1000
FlagCharSet ai_8 366
chr_create 1000
FlagCharSet ai_9 311
chr_create 1000
FlagCharSet ai_10 323
chr_create 1000
FlagCharSet ai_11 324
chr_create 1000
FlagCharSet ai_12 325
chr_create 1000
FlagCharSet ai_13 326
chr_create 1000
FlagCharSet ai_14 327
chr_create 1000
FlagCharSet ai_15 328
chr_create 1000
FlagCharSet ai_16 329
chr_create 1000
FlagCharSet ai_17 337
chr_create 1000
FlagCharSet ai_18 338
chr_create 1000
FlagCharSet ai_19 339
chr_create 1000
FlagCharSet ai_20 367
chr_create 1000
FlagCharSet ai_21 268
chr_create 1000
FlagCharSet ai_22 310
chr_create 1000
FlagCharSet ai_23 314
chr_create 1000
FlagCharSet ai_24 315
chr_create 1000
FlagCharSet ai_25 316
chr_create 1000
FlagCharSet ai_26 317
chr_create 1000
FlagCharSet ai_27 318
chr_create 1000
FlagCharSet ai_28 319
chr_create 1000
FlagCharSet ai_29 320
chr_create 1000
FlagCharSet ai_30 321
chr_create 1000
FlagCharSet ai_31 322
}
#####################################
func void CreateCharsFlag23(void) {
chr_create 1000
FlagCharSet ai_1 52
chr_create 1000
FlagCharSet ai_2 100
chr_create 1000
FlagCharSet ai_3 101
chr_create 1000
FlagCharSet ai_4 112
chr_create 1000
FlagCharSet ai_5 113
chr_create 1000
FlagCharSet ai_6 230
chr_create 1000
FlagCharSet ai_7 304
chr_create 1000
FlagCharSet ai_8 305
chr_create 1000
FlagCharSet ai_9 1009
chr_create 1000
FlagCharSet ai_10 1019
chr_create 1000
FlagCharSet ai_11 7005
chr_create 1000
FlagCharSet ai_12 7006
chr_create 1000
FlagCharSet ai_13 7007
chr_create 1000
FlagCharSet ai_14 7008
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1000
FlagCharSet ai_1 345
chr_create 1000
FlagCharSet ai_2 346
chr_create 1000
FlagCharSet ai_3 347
chr_create 1000
FlagCharSet ai_4 348
chr_create 1000
FlagCharSet ai_5 349
chr_create 1000
FlagCharSet ai_6 204
chr_create 1000
FlagCharSet ai_7 205
chr_create 1000
FlagCharSet ai_8 350
chr_create 1000
FlagCharSet ai_9 351
chr_create 1000
FlagCharSet ai_10 352
chr_create 1000
FlagCharSet ai_11 353
chr_create 1000
FlagCharSet ai_12 365
chr_create 1000
FlagCharSet ai_13 104
chr_create 1000
FlagCharSet ai_14 358
chr_create 1000
FlagCharSet ai_15 359
chr_create 1000
FlagCharSet ai_16 360
chr_create 1000
FlagCharSet ai_17 361
chr_create 1000
FlagCharSet ai_18 362
chr_create 1000
FlagCharSet ai_19 363
}
#####################################
func void CreateCharsFlag32(void) {
chr_create 1000
FlagCharSet ai_1 220
chr_create 1000
FlagCharSet ai_2 224
chr_create 1000
FlagCharSet ai_3 7002
chr_create 1000
FlagCharSet ai_4 225
chr_create 1000
FlagCharSet ai_5 354
chr_create 1000
FlagCharSet ai_6 355
chr_create 1000
FlagCharSet ai_7 357
chr_create 1000
FlagCharSet ai_8 53
chr_create 1000
FlagCharSet ai_9 221
chr_create 1000
FlagCharSet ai_10 306
chr_create 1000
FlagCharSet ai_11 356
chr_create 1000
FlagCharSet ai_12 7010
chr_create 1000
FlagCharSet ai_13 7017
chr_create 1000
FlagCharSet ai_14 222
chr_create 1000
FlagCharSet ai_15 223
chr_create 1000
FlagCharSet ai_16 7016
}
#####################################
func void CreateCharsFlag01(void) {
chr_create 1000
FlagCharSet ai_1 0
chr_create 1000
FlagCharSet ai_2 50
chr_create 1000
FlagCharSet ai_3 215
chr_create 1000
FlagCharSet ai_4 216
chr_create 1000
FlagCharSet ai_5 226
chr_create 1000
FlagCharSet ai_6 229
chr_create 1000
FlagCharSet ai_7 254
chr_create 1000
FlagCharSet ai_8 262
chr_create 1000
FlagCharSet ai_9 300
chr_create 1000
FlagCharSet ai_10 51
chr_create 1000
FlagCharSet ai_11 102
chr_create 1000
FlagCharSet ai_12 108
chr_create 1000
FlagCharSet ai_13 201
}