####################################
#  Manplant Flag Map v1.4 by ZDLO. #
#  104 manplant flags in 5 zones!  #
#  Special thanks to geyser.       #
####################################
var int ver_ind= 1;
var int hor_ind1= 1;
var int hor_ind2= 1;
var int view_mode= 1;
var int nav_mode= 1;
#####################################
#               Main                #
#####################################
func void SettingsIni(void) {
 co_display= 0
 gl_fog_red= 0
 gl_fog_green= 0
 gl_fog_blue= 0
 gl_fog_start= 0.9999
 ai2_shownames= 0
 ai2_showhealth= 1
 chr_active= 1
 chr_debug_characters= 1
 chr_pin_character= 1
 chr_changeteam 0 TCTF
 chr_shadow 0 0
 chr_forceholster 0 1
 door_ignore_locks= 1
 gs_show_corpses= 1
 gs_farclipplane_set 1000000
 gs_show_ui= 0
 single_step= 0
 fork StopJump
}
func void main(void) {
 SettingsIni
 goto 210 -1 -40
 sleep 20
 ViewMode1
 Menu
 fork HorIndDecr
 fork HorIndIncr
 fork VerIndDecr
 fork VerIndIncr
 NextMenu
}
func void StopJump(void) {
 chr_wait_animtype 0 jump jump_forward jump_backward
 chr_animate 0 KONOKOact_no3
 sleep 1
 fork StopJump
}
#####################################
func void DeleteEverybody(void) {
 chr_delete ai_1
 chr_delete ai_2
 chr_delete ai_3
 chr_delete ai_4
 chr_delete ai_5
 chr_delete ai_6
 chr_delete ai_7
 chr_delete ai_8
 chr_delete ai_9
 chr_delete ai_10
 chr_delete ai_11
 chr_delete ai_12
 chr_delete ai_13
 chr_delete ai_14
 chr_delete ai_15
 chr_delete ai_16
 chr_delete ai_17
 chr_delete ai_18
 chr_delete ai_19
 chr_delete ai_20
 chr_delete ai_21
 chr_delete ai_22
 chr_delete ai_23
 chr_delete ai_24
 chr_delete ai_25
 chr_delete ai_26
 chr_delete ai_27
 chr_delete ai_28
 chr_delete ai_29
 chr_delete ai_30
 chr_delete ai_31
 chr_delete ai_32
}
#####################################
func void ViewMode1(void) {
 ai2_showgrids= 1
 ai2_showlinetochar= 0
 gs_show_environment= 0
 gs_show_particles= 0
}
func void ViewMode2(void) {
 ai2_showgrids= 0
 ai2_showlinetochar= 1
 gs_show_environment= 1
 gs_show_particles= 1
}
#####################################
func void FlagCharSet(string name, int flag) {
 chr_teleport(name, flag);
 chr_facetoflag(name, flag);
 if(0 < flag) chr_set_health(name, flag);
 if(flag > 40) chr_set_health(name, flag + 1);
 if(flag eq 0) chr_set_health(name, 10001);
}
#####################################
#           Menu Navigate           #
#####################################
func void HorIndDecr(void) {
	chr_wait_animtype 0 run_sidestep_left_start run_sidestep_left
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 - 1; if(hor_ind1 < 1) hor_ind1= 5
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 - 1; if(hor_ind2 < 1) hor_ind2= 2
	}
	sleep 20; fork HorIndDecr
}
func void HorIndIncr(void) {
	chr_wait_animtype 0 run_sidestep_right_start run_sidestep_right
	if(ver_ind eq 1) {
		hor_ind1= hor_ind1 + 1; if(hor_ind1 > 5) hor_ind1= 1
	}
	if(ver_ind eq 2) {
		hor_ind2= hor_ind2 + 1; if(hor_ind2 > 2) hor_ind2= 1
	}
	sleep 20; fork HorIndIncr
}
func void VerIndDecr(void) {
	chr_wait_animtype 0 run_backwards_start run_backwards
	ver_ind= ver_ind - 1; if(ver_ind < 1) ver_ind= 2
	sleep 20; fork VerIndDecr
}
func void VerIndIncr(void) {
	chr_wait_animtype 0 run_start run
	ver_ind= ver_ind + 1; if(ver_ind > 2) ver_ind= 1
	sleep 20; fork VerIndIncr
}
func void NextMenu(void) {
	chr_wait_animtype 0 punch
	if(ver_ind eq 1) {
		DeleteEverybody
		if(hor_ind1 eq 1) CreateCharsFlag11
		if(hor_ind1 eq 2) CreateCharsFlag12
		if(hor_ind1 eq 3) CreateCharsFlag13
		if(hor_ind1 eq 4) CreateCharsFlag21
		if(hor_ind1 eq 5) CreateCharsFlag31
		if(nav_mode eq 1) {
			sleep 10
			chr_active= 0
			sleep 60
			chr_active= 1
			sleep 30
		}
		if(nav_mode eq 2) {
			gs_show_particles= 0
			single_step= 1
			sleep 10
			if(view_mode eq 2) gs_show_particles= 1
			DeleteEverybody
			sleep 20
		}
	}
	if(ver_ind eq 2) {
		if(hor_ind2 eq 1) {
			view_mode= view_mode + 1; if(view_mode > 2) view_mode= 1
			if(view_mode eq 1) ViewMode1
			if(view_mode eq 2) ViewMode2
		}
		if(hor_ind2 eq 2) {
			nav_mode= nav_mode + 1; if(nav_mode > 2) nav_mode= 1
		}
		sleep 30
	}
	fork NextMenu
}
#####################################
#           Menu Display            #
#####################################
func void Menu(void) {
	if(ver_ind eq 1) if(hor_ind1 eq 1) {
		dmsg "[r.Flag Map Zones (1/5)]"
		dmsg "[y.Building SP1-SP3 (1/3)]"
		dmsg "[b.1st floor, 2nd - bridge] "
		dmsg "(entrance, hall, hall rooms"
		dmsg "and hall bridge - 24)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 2) {
		dmsg "[r.Flag Map Zones (2/5)]"
		dmsg "[y.Building SP1-SP3 (2/3)]"
		dmsg "[b.1st floor]"
		dmsg "(corridors behind hall"
		dmsg "with theirs rooms - 19)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 3) {
		dmsg "[r.Flag Map Zones (3/5)]"
		dmsg "[y.Building SP1-SP3 (3/3)]"
		dmsg "[b.1st floor]"
		dmsg "(rooms behind corridors"
		dmsg " - 17 flags)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 4) {
		dmsg "[r.Flag Map Zones (4/5)]"
		dmsg "[y.Engines of Evil (1/1)]"
		dmsg "[b.1-2 floors]"
		dmsg "(engine of evil, corridor flags"
		dmsg "and bad out-of-map flags - 13)"
	}
	if(ver_ind eq 1) if(hor_ind1 eq 5) {
		dmsg "[r.Flag Map Zones (5/5)]"
		dmsg "[y.Building SP3-SP4 (1/1)]"
		dmsg "[b.1-2 floors, 0 - Deadly Brain]"
		dmsg "(all rooms and bridges between them"
		dmsg "plus deadly brain rooms - 31)"
	}
	if(ver_ind eq 2) if(hor_ind2 eq 1) {
		if(view_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[r.Special]   [b.Normal]"
			dmsg "grid on, no environment"
		}
		if(view_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (1/2)]"
			dmsg "[y.View Mode]"
			dmsg "[b.Special]   [r.Normal]"
			dmsg "original vision plus lines"
		}
	}
	if(ver_ind eq 2) if(hor_ind2 eq 2) {
		if(nav_mode eq 1) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[r.Free Mode]   [b.Dev Mode]"
			dmsg "freezing characters mode"
		}
		if(nav_mode eq 2) {
			dmsg " "
			dmsg "[r.Options (2/2)]"
			dmsg "[y.Navigation Mode]"
			dmsg "[b.Free Mode]   [r.Dev Mode]"
			dmsg "auto-single_step mode"
		}
	}
	sleep 20; fork Menu
}
#####################################
#    Spawn chars at needed flags    #
#####################################
func void CreateCharsFlag11(void) {
chr_create 1002
FlagCharSet ai_1 1
chr_create 1002
FlagCharSet ai_2 2
chr_create 1002
FlagCharSet ai_3 14
chr_create 1002
FlagCharSet ai_4 15
chr_create 1002
FlagCharSet ai_5 0
chr_create 1002
FlagCharSet ai_6 18
chr_create 1002
FlagCharSet ai_7 21
chr_create 1002
FlagCharSet ai_8 22
chr_create 1002
FlagCharSet ai_9 103
chr_create 1002
FlagCharSet ai_10 104
chr_create 1002
FlagCharSet ai_11 105
chr_create 1002
FlagCharSet ai_12 106
chr_create 1002
FlagCharSet ai_13 119
chr_create 1002
FlagCharSet ai_14 121
chr_create 1002
FlagCharSet ai_15 7000
chr_create 1002
FlagCharSet ai_16 7009
chr_create 1002
FlagCharSet ai_17 27
chr_create 1002
FlagCharSet ai_18 28
chr_create 1002
FlagCharSet ai_19 61
chr_create 1002
FlagCharSet ai_20 62
chr_create 1002
FlagCharSet ai_21 29
chr_create 1002
FlagCharSet ai_22 43
chr_create 1002
FlagCharSet ai_23 44
chr_create 1002
FlagCharSet ai_24 45
}
#####################################
func void CreateCharsFlag12(void) {
chr_create 1002
FlagCharSet ai_1 23
chr_create 1002
FlagCharSet ai_2 24
chr_create 1002
FlagCharSet ai_3 25
chr_create 1002
FlagCharSet ai_4 26
chr_create 1002
FlagCharSet ai_5 38
chr_create 1002
FlagCharSet ai_6 108
chr_create 1002
FlagCharSet ai_7 113
chr_create 1002
FlagCharSet ai_8 116
chr_create 1002
FlagCharSet ai_9 117
chr_create 1002
FlagCharSet ai_10 118
chr_create 1002
FlagCharSet ai_11 7001
chr_create 1002
FlagCharSet ai_12 7004
chr_create 1002
FlagCharSet ai_13 48
chr_create 1002
FlagCharSet ai_14 49
chr_create 1002
FlagCharSet ai_15 50
chr_create 1002
FlagCharSet ai_16 115
chr_create 1002
FlagCharSet ai_17 120
chr_create 1002
FlagCharSet ai_18 124
chr_create 1002
FlagCharSet ai_19 7002
}
#####################################
func void CreateCharsFlag13(void) {
chr_create 1002
FlagCharSet ai_1 11
chr_create 1002
FlagCharSet ai_2 30
chr_create 1002
FlagCharSet ai_3 36
chr_create 1002
FlagCharSet ai_4 34
chr_create 1002
FlagCharSet ai_5 35
chr_create 1002
FlagCharSet ai_6 37
chr_create 1002
FlagCharSet ai_7 32
chr_create 1002
FlagCharSet ai_8 33
chr_create 1002
FlagCharSet ai_9 7005
chr_create 1002
FlagCharSet ai_10 7006
chr_create 1002
FlagCharSet ai_11 13
chr_create 1002
FlagCharSet ai_12 46
chr_create 1002
FlagCharSet ai_13 47
chr_create 1002
FlagCharSet ai_14 123
chr_create 1002
FlagCharSet ai_15 10
chr_create 1002
FlagCharSet ai_16 12
chr_create 1002
FlagCharSet ai_17 109
}
#####################################
func void CreateCharsFlag21(void) {
chr_create 1002
FlagCharSet ai_1 128
chr_create 1002
FlagCharSet ai_2 42
chr_create 1002
FlagCharSet ai_3 59
chr_create 1002
FlagCharSet ai_4 60
chr_create 1002
FlagCharSet ai_5 114
chr_create 1002
FlagCharSet ai_6 122
chr_create 1002
FlagCharSet ai_7 131
chr_create 1002
FlagCharSet ai_8 132
chr_create 1002
FlagCharSet ai_9 133
chr_create 1002
FlagCharSet ai_10 54
chr_create 1002
FlagCharSet ai_11 100
chr_create 1002
FlagCharSet ai_12 101
chr_create 1002
FlagCharSet ai_13 102
}
#####################################
func void CreateCharsFlag31(void) {
chr_create 1002
FlagCharSet ai_1 56
chr_create 1002
FlagCharSet ai_2 57
chr_create 1002
FlagCharSet ai_3 58
chr_create 1002
FlagCharSet ai_4 66
chr_create 1002
FlagCharSet ai_5 72
chr_create 1002
FlagCharSet ai_6 40
chr_create 1002
FlagCharSet ai_7 51
chr_create 1002
FlagCharSet ai_8 52
chr_create 1002
FlagCharSet ai_9 53
chr_create 1002
FlagCharSet ai_10 127
chr_create 1002
FlagCharSet ai_11 39
chr_create 1002
FlagCharSet ai_12 41
chr_create 1002
FlagCharSet ai_13 112
chr_create 1002
FlagCharSet ai_14 63
chr_create 1002
FlagCharSet ai_15 64
chr_create 1002
FlagCharSet ai_16 65
chr_create 1002
FlagCharSet ai_17 67
chr_create 1002
FlagCharSet ai_18 110
chr_create 1002
FlagCharSet ai_19 111
chr_create 1002
FlagCharSet ai_20 125
chr_create 1002
FlagCharSet ai_21 69
chr_create 1002
FlagCharSet ai_22 70
chr_create 1002
FlagCharSet ai_23 71
chr_create 1002
FlagCharSet ai_24 126
chr_create 1002
FlagCharSet ai_25 7007
chr_create 1002
FlagCharSet ai_26 7008
chr_create 1002
FlagCharSet ai_27 68
chr_create 1002
FlagCharSet ai_28 55
chr_create 1002
FlagCharSet ai_29 130
chr_create 1002
FlagCharSet ai_30 7003
chr_create 1002
FlagCharSet ai_31 129
}